<?php
/*
Plugin Name: PopUp Domination
Author: Awesome Web
Version: 2.5
Author URI: http://www.awesomeweb.com
Description: The Ultimate plugin to increase your list size. Make more money by using our beautiful themes and specific functionality to grow your subscriber list by over 500%. 
*/
class PopUp_Domination {
	
	var $base_name = '';
	var $theme_path = '';
	var $theme_url = '';
	var $plugin_url = '';
	var $plugin_path = '';
	var $opts_url = '';
	var $themes = array();
	var $natypes = array('.original.php','.original.htm','.original.html','.original.css','.original.txt');
	var $atypes = array('.php','.htm','.html','.css','.txt');
	var $is_preview = false;
	var $version = 2.5;
	var $custominputs = 0;
	
	function PopUp_Domination(){
		$this->base_name = plugin_basename(__FILE__);
		$this->plugin_url = WP_PLUGIN_URL.'/'.dirname($this->base_name).'/';
		$this->plugin_path = WP_PLUGIN_DIR.'/'.dirname($this->base_name).'/';
		$this->theme_url = $this->plugin_url.'themes/';
		$this->theme_path = $this->plugin_path.'themes/';
		
		if(function_exists("admin_url"))
			$url = admin_url("admin.php?page=" .  $this->base_name);
		else
			$url = $_SERVER['PHP_SELF'] . "?page=" .  $this->base_name;
		$this->opts_url = $url;
		if(is_admin()){
			//wp_admin_css( 'theme-editor' );
			wp_register_style('popup-domination', $this->plugin_url.'admin_styles.css');
			add_action('admin_menu', array(&$this, 'admin_menu'));
			add_filter('plugin_action_links', array(&$this, 'plugin_action_links'), 10, 2);			
		}
		if($ins = $this->option('installed')){
			add_action('wp_print_scripts', array(&$this, 'wp_print_scripts'));
			if(is_admin()){
				add_action('wp_ajax_popup_domination_file_upload', array(&$this, 'upload_file'));
				add_action('wp_ajax_popup_domination_activation', array(&$this, 'activate'));
				add_action('wp_ajax_popup_domination_clear_cookie', array(&$this, 'clear_cookie'));
				add_action('wp_ajax_popup_domination_preview', array(&$this, 'preview'));
				//add_action('wp_ajax_popup_domination_check_updates', array(&$this, 'update_function')); 
			} else {
				add_action('wp_print_styles', array(&$this, 'wp_print_styles'));
			}
		}
	}
	
	function clear_cookie(){
		if(wp_verify_nonce($_GET['_wpnonce'], 'update-options')){
			setcookie('popup_domination_hide_lightbox','',time()-60*60*24*100,COOKIEPATH);
			echo '{"done":"done"}';
		} else {
			echo '{"error":"Verification failed, please refresh the page and try again."}';
		}
		exit;
	}
	function update_function(){

	}
	function preview(){
		if(!wp_verify_nonce($_POST['_wpnonce'], 'update-options')){
			exit('<p>You do not have permission to view this</p>');
		}
		$this->is_preview = true;
		$prev = $_POST['popup_domination'];
		$prevnew = array();
		foreach($prev as $a => $b){
			$prevnew[$a] = stripslashes($b);
		}
		$prev = $prevnew;
		$t = $prev['template'];
		$target = (isset($prev['new_window']) && $prev['new_window'] == 'Y') ? ' target="_blank"':'';
		if(!$themeopts = $this->get_theme_info($t)){
			exit('<p>The theme you have chosen could not be found.</p>');
		}
		if(isset($themeopts['colors']) && !($color = $this->option('color'))){
			exit('<p>You must first select a color for your theme.</p>');
		}
		if(isset($prev['color']))
			$color = $prev['color'];
		$clickbank = '';
		if(isset($prev['promote'])){
			$promote = $prev['promote'];
			if($promote == 'Y'){
				$clickbank = (isset($prev['clickbank']))?$prev['clickbank']:'';
			}
		} else {
			$promote = 'N';
		}
		$inputs = array('name'=>$prev['name_box'],
						'email'=>$prev['email_box']);
		
		$tmp_fields = $_POST['popup_domination_fields'];
		$fields = array();
		foreach($tmp_fields as $a => $b)
			$fields[$a] = $a=='video-embed'?stripslashes($b):$this->encode(stripslashes($b));
		$inputs['hidden'] = '';
		if(isset($_POST['field_name']) && isset($_POST['field_vals']) && count($_POST['field_name']) == count($_POST['field_vals'])){
			$fl = count($_POST['field_name']);
			for($i=0;$i<$fl;$i++){
				$_POST['field_name'][$i] = stripslashes($_POST['field_name'][$i]);
				$_POST['field_vals'][$i] = stripslashes($_POST['field_vals'][$i]);
				if(!empty($_POST['field_name'][$i]) && $inputs['name'] != $_POST['field_name'][$i] && $inputs['email'] != $_POST['field_name'][$i]){
					$inputs['hidden'] .= '<input type="hidden" name="'.$this->input_val($_POST['field_name'][$i]).'" value="'.$this->input_val($_POST['field_vals'][$i]).'" />';
				}
			}
		}
		if(isset($_POST['field_img']) && count($_POST['field_img'])){
			$fl = count($_POST['field_img']);
			for($i=0;$i<$fl;$i++){
				if(!empty($_POST['field_img'][$i])){
					$inputs['hidden'] .= '<div style="display:none"><img src="'.stripslashes($_POST['field_img'][$i]).'" alt="" width="1" height="1" /></div>';
				}
			}
		}
		$form_action = $this->encode($prev['action']);
		$list_items = array();
		if(isset($_POST['list_item'])){
			$tmp_items = $_POST['list_item'];
			foreach($tmp_items as $tmp)
				$list_items[] = $this->encode(stripslashes($tmp));
		}
		$disable_name = 'N';
		if(isset($prev['disable_name']) && $prev['disable_name'] == 'Y'){
			$disable_name = 'Y';
		}
		$delay = $prev['delay'];
		$center = $themeopts['center'];
		$show_opt = $prev['show_opt'];
		$unload_msg = $prev['unload_msg'];
		$delay_hide = '';
		$button_color = isset($prev['button_color']) ? $prev['button_color'] : '';
		$base = dirname($this->base_name);
		$theme_url = $this->theme_url.$t.'/';
		$lightbox_id = 'popup_domination_lightbox_wrapper';
		$lightbox_close_id = 'popup_domination_lightbox_close';
		$cookie_time = $icount = 0;
		
		
		$arr = array();
		if($disable_name == 'N'){
			$arr[] = array('class'=>'name','default'=>((isset($fields['name_default'])) ? $fields['name_default'] : ''), 'name'=>((isset($inputs['name']))?$inputs['name']:''));
		}
		$arr[] = array('class'=>'email','default'=>((isset($fields['email_default'])) ? $fields['email_default'] : ''), 'name'=>((isset($inputs['email']))?$inputs['email']:''));
		
		
		if(isset($fields['custom1_default'])){
			$this->custominputs = $this->option('custom_fields');
			for($i = 1; $i<=$this->custominputs; $i++){
				$arr[] = array('class'=>'custom'.$i.'_input','default'=>((isset($fields['custom'.$i.'_default'])) ? $fields['custom'.$i.'_default'] : ''), 'name'=>((isset($inputs['custom'.$i.'_box']))?$inputs['custom'.$i.'_box']:''));
			}
		}
		
		$fstr = ''; $js = array();
		foreach($arr as $a){
			if(!empty($a['name']) && !empty($a['default'])){
				$js[$a['name']] = $a['default'];
			}
			$fstr .= '<input type="text" class="'.$a['class'].'" value="'.$a['default'].'" name="'.$a['name'].'" />';
		}
		$arr = array('defaults'=>$js,'delay'=>floatval($delay),'cookie_time'=>floatval($cookie_time),'center'=>$center,'cookie_path'=>COOKIEPATH,'show_opt'=>$show_opt,'unload_msg'=>$unload_msg,'impression_count'=>intval($icount),'output'=>$output);
		$promote_link = (($promote=='Y') ? '<p class="powered" ><a href="'.((!empty($clickbank))? $clickbank :'http://www.popupdomination.com/').'" target="_blank">Powered By PopUp Domination</a></p>':'');
		ob_start();
		include $this->theme_path.$t.'/template.php';
		$output = ob_get_contents();
		$output = str_replace('{CURRENT_URL}',$this->input_val($this->get_cur_url()),$output);
		ob_end_clean();
		echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="en-US">
<head profile="http://gmpg.org/xfn/11">
<style type="text/css">
* { margin: 0; padding: 0; outline: 0 }
</style>
<script type="text/javascript" src="http://code.jquery.com/jquery-latest.js"></script>
<script type="text/javascript" src="'.$this->plugin_url.'lightbox-preview.js"></script>
<link rel="stylesheet" type="text/css" href="'.$this->theme_url.$t.'/lightbox.css" />
<script type="text/javascript">
var popup_domination = '.json_encode($arr).';
</script>
</head><body><p style="text-align:center"><a href="#open">Re-open lightbox</a></p>'.$output.'</body></html>';
		exit;
	}
	
	function load_lightbox(){
		if(!$enabled = $this->option('enabled'))
			return false;
		if($enabled != 'Y')
			return false;
		if(!$t = $this->option('template'))
			return false;
		if(!$themeopts = $this->get_theme_info($t))
			return false;
		if(isset($themeopts['colors']) && !($color = $this->option('color')))
			return false;
		$clickbank = '';
		if($promote = $this->option('promote')){
			if($promote == 'Y'){
				$clickbank = $this->option('clickbank');
			}
		} else {
			$promote = 'N';
		}
		
		$target = $this->option('new_window') == 'Y' ? ' target="_blank"':'';
		
		$disable_name = 'N';
		if($disable = $this->option('disable_name')){
			if($disable == 'Y'){
				$disable_name = 'Y';
			}
		}
		
		
		$inputs = array('email'=>$this->option('email_box'));
		

		$this->custominputs = $this->option('custom_fields');
		for($i = 1; $i<=$this->custominputs; $i++){
			$inputs['custom'.$i.'_box'] = $this->option('custom'.$i.'_box');
		}
		if($disable_name == 'N'){
			$inputs['name'] = $this->option('name_box');
		}
		$fields = '';
		if($f = $this->option('fields',false)){
			if(!empty($f)){
				$fieldsarr = unserialize($f);
				foreach($fieldsarr as $a => $b){
					if(!in_array($a,$inputs))
						$fields .= '<input type="hidden" name="'.$this->input_val($a).'" value="'.$this->input_val($b).'" />';
				}
			}
		}
		if($f = $this->option('images',false)){
			if(!empty($f)){
				$fieldsarr = unserialize($f);
				foreach($fieldsarr as $b){
					$fields .= '<div style="display:none"><img src="'.$this->input_val($b).'" alt="" height="1" width="1" /></div>';
				}
			}
		}
		$inputs['hidden'] = $fields;
		$form_action = $this->option('action');
		$list_items = array();
		if($l = $this->option('listitems',false)){
			if(!empty($l)){
				$l = unserialize($l);
				foreach($l as $litem){
					$list_items[] = $this->encode($litem);
				}
			}
		}
		$fields = array();
		if(isset($themeopts['fields']) && count($themeopts['fields']) > 0){
			foreach($themeopts['fields'] as $a => $b){
				$id = $b['field_opts']['id'];
				$fields[$b['field_opts']['id']] = $this->option('field_'.$id,($id=='video-embed'?false:true));
			}
		}
		$center = $themeopts['center'];
		$delay = $this->option('delay');
		$delay_hide = ' style="display:none"';
		$button_color = $this->option('button_color');
		$cookie_time = $this->option('cookie_time');
		$base = dirname($this->base_name);
		$theme_url = $this->theme_url.$t.'/';
		$lightbox_id = 'popup_domination_lightbox_wrapper';
		$lightbox_close_id = 'popup_domination_lightbox_close';
		$icount = $this->option('impression_count');
		$show_opt = $this->option('show_opt');
		$unload_msg = $this->option('unload_msg');

		$arr = array();
		if($disable_name == 'N'){
			$arr[] = array('class'=>'name','default'=>((isset($fields['name_default'])) ? $fields['name_default'] : ''), 'name'=>((isset($inputs['name']))?$inputs['name']:''));
		}
		$arr[] = array('class'=>'email','default'=>((isset($fields['email_default'])) ? $fields['email_default'] : ''), 'name'=>((isset($inputs['email']))?$inputs['email']:''));
		
		for($i = 1; $i<=$this->custominputs; $i++){
			$arr[] = array('class'=>'custom'.$i.'_input','default'=>((isset($fields['custom'.$i.'_default'])) ? $fields['custom'.$i.'_default'] : ''), 'name'=>((isset($inputs['custom'.$i.'_box']))?$inputs['custom'.$i.'_box']:''));
		}
		
		$fstr = ''; $js = array();
		foreach($arr as $a){
			if(!empty($a['name']) && !empty($a['default'])){
				$js[$a['name']] = $a['default'];
			}
			$fstr .= '<input type="text" class="'.$a['class'].'" value="'.$a['default'].'" name="'.$a['name'].'" />';
		}
		$promote_link = (($promote=='Y') ? '<p class="powered"><a href="'.((!empty($clickbank))?'http://'.$clickbank.'.popdom.hop.clickbank.net/':'http://www.popupdomination.com/').'" target="_blank">Powered By PopUp Domination</a></p>':'');
		
		ob_start();
		include $this->theme_path.$t.'/template.php';
		$output = ob_get_contents();
		$output = str_replace('{CURRENT_URL}',$this->input_val($this->get_cur_url()),$output);
		ob_end_clean();
		$arr = array('defaults'=>$js,'delay'=>floatval($delay),'cookie_time'=>floatval($cookie_time),'center'=>$center,'cookie_path'=>COOKIEPATH,'show_opt'=>$show_opt,'unload_msg'=>$unload_msg,'impression_count'=>intval($icount),'output'=>$output);
?>
<script type="text/javascript">
var popup_domination = <?php echo json_encode($arr); ?>;
</script><?php
	}
	
	function wp_print_scripts(){
		global $pagenow;
		global $plugin_page;
		if(is_admin()){
			if(isset($plugin_page) && $plugin_page == $this->base_name){
				wp_enqueue_script('ajax-upload',$this->plugin_url.'ajaxupload.js',array('jquery'),'1.0');
				wp_enqueue_script('popup_domination',$this->plugin_url.'admin_lightbox.js',array('jquery','ajax-upload'),'1.0');
			}
		} else {
			if(!$this->is_enabled())
				return false;
			if(!$this->should_show())
				return false;
			if ( !in_array( $pagenow , array( 'wp-login.php', 'wp-register.php' ) ) ){
				wp_enqueue_script('popup_domination',$this->plugin_url.'lightbox.js',array('jquery'),'1.0');
				$this->load_lightbox();
			}
			
		}
	}
	
	function is_enabled(){
		static $enabled;
		if(!isset($enabled)){
			if(!$e = $this->option('enabled'))
				return false;
			if($this->is_mobile()){
				return false;
			}
			$enabled = $e;
		}
		return $enabled == 'Y' ? true : false;
	}
	
	function should_show(){
		global $wp_query;
		$show = $this->show_var();
		if(isset($show['everywhere']))
			return true;
		if(isset($show['front']) && is_front_page())
			return true;
		if(isset($show['pageid']) && is_page() && in_array($wp_query->post->ID,$show['pageid']))
			return true;
		if(isset($show['caton']) && isset($show['catid']) && is_array($show['catid'])){
			$checkcat = $checkpost = false;
			switch($show['caton']){
				case 0: $checkcat = $checkpost = true; break;
				case 1: $checkcat = true; break;
				case 2: $checkpost = true; break;
			}
			if($checkcat){
				foreach($show['catid'] as $c){
					if(is_category($c)){
						return true;
					}
				}
			}
			if($checkpost && is_single() && ($cats = get_the_category())){
				foreach($cats as $c){
					if(in_array($c->cat_ID,$show['catid'])){
						return true;
					}
				}
			}
		}
		return false;
	}
	
	function show_var($backup=false){
		$var = 'show';
		if($backup)
			$var .= '_backup';
		$$var = array();
		if($s = $this->option($var,false)){
			if(!empty($s)){
				if(is_array($s))
					$$var = $s;
				else
					$$var = unserialize($s);
			}
		}
		return $$var;
	}
	
	function wp_print_styles(){
		if(!$this->is_enabled())
			return false;
		if(!$this->should_show())
			return false;
		if(!$t = $this->option('template'))
			return false;
		wp_enqueue_style('popup_domination',$this->theme_url.$t.'/lightbox.css');
	}
	
	function admin_menu(){
		$page = add_menu_page('PopUp Domination', 'PopUp Domination', 'manage_options', $this->base_name, array(&$this, 'admin_page'), $this->plugin_url.'/images/icon.png');
		add_action('admin_print_styles-'.$page, array(&$this, 'admin_styles'));
	}
	
	function admin_styles(){
		wp_enqueue_style('popup-domination');
	}
	
	function plugin_action_links($links, $file){
		if($file == $this->base_name){
			$settings_link = '<a href="options-general.php?page='.$file.'">'.__('Settings').'</a>';
			array_unshift($links,$settings_link);
		}
		return $links;
	}
	
	function activate(){
		if(wp_verify_nonce($_GET['_wpnonce'], 'update-options')){
			$update = $_GET['todo'] == 'turn-on' ? 'Y' : 'N';
			$this->update('enabled',$update);
			echo '{"active":"'.$update.'"}';
		} else {
			echo '{"error":"Verification failed, please refresh the page and try again."}';
		}
		exit;
	}
	
	function upload_file(){
		if(wp_verify_nonce($_POST['_wpnonce'], 'update-options') && isset($_POST['template']) && $t = $this->get_theme_info($_POST['template'])){
			if(isset($_POST['fieldid'])){
				if($field = $this->get_field($t,$_POST['fieldid'])){
					$uploads = wp_upload_dir();
					$fileobj = $_FILES['userfile'];
					if(!empty($fileobj['tmp_name']) && file_is_displayable_image($fileobj['tmp_name'])){
						if($file = wp_handle_upload($fileobj,array('test_form'=>false,'action'=>'wp_handle_upload'))){
							$sizes = array();
							if(isset($field['field_opts'])){
								$opts = $field['field_opts'];
								if(isset($opts['max_w']) && isset($opts['max_h']))
									$sizes = array($opts['max_w'],$opts['max_h']);
							}
							$image_url = $file['url'];
							if(count($sizes) == 2){
								$resized = image_make_intermediate_size($file['file'],$sizes[0],$sizes[1]);
								if($resized)
									$image_url = $uploads['url'].'/'.$resized['file'];
							}
							$attachment = array('post_title' => $fileobj['name'],
												'post_content' => '',
												'post_status' => 'inherit',
												'post_mime_type' => $file['type'],
												'guid' => $image_url);
							$aid = wp_insert_attachment($attachment,$file['file'],0);
							if(!is_wp_error($aid)){
								wp_update_attachment_metadata($aid,wp_generate_attachment_metadata($aid,$file['file']));
								echo $image_url.'|'.$aid.'|';
							} else {
								echo 'error|<strong>Upload Error:</strong> ' . $aid->get_error_message();
							}
							exit;
						}
					} else {
						echo 'error|<strong>Upload Error:</strong> The file you tried to upload is not a valid image.';
						exit;
					}
				}
			}
		}
		echo 'error|<strong>Upload Error:</strong> There was an error finding the field.';
		die();
	}
	
	function sort_array($a,$b){
		if($a['name'] == $b['name'])
			return 0;
		return ($a['name'] < $b['name']) ? -1 : 1;
	}
	
	function get_field($theme,$field){
		if(empty($field))
			return false;
		if(!isset($theme['fields']))
			return false;
		foreach($theme['fields'] as $f){
			if($f['field_opts']['id'] == $field)
				return $f;
		}
		return false;
	}
	
	function option($key,$enc=true){
		return (($enc)?$this->encode(get_option('popup_domination_'.$key)):get_option('popup_domination_'.$key));
	}
	
	function update($key,$val,$enc=true){
		update_option( 'popup_domination_'.$key,(($enc)?$this->encode($val):$val));
	}
	
	function encode($str,$striptags=true){
		if($striptags){
			$str = strip_tags($str,'<b><strong><em><i><br>');
			$str = preg_replace('{<br\s*>}si','<br />',$str);
		}
		return $str;
	}
	
	function encode2($str){
		$str = preg_replace('{<style[^>]*>.*</style>}si','',$str);
		$str = preg_replace('{<script[^>]*>.*</script>}si','',$str);
		return utf8_encode(stripslashes($str));
	}
	
	function check_file_type($file,$types=array(),$natypes=array()){
		if(empty($file))
			return false;
		if(count($types) == 0 && count($natypes) == 0)
			return true;
		$lower = strtolower($file); $fl = strlen($file);
		if(count($natypes) > 0){
			foreach($natypes as $n){
				$nl = strlen($n);
				$tmp = substr($lower,($fl-$nl),$nl);
				if($tmp == $n)
					return false;
			}
		}
		if(count($types) > 0){
			foreach($types as $t){
				$tl = strlen($t);
				$tmp = substr($lower,($fl-$tl),$tl);
				if($tmp == $t)
					return true;
			}
		}
		return false;
	}
	
	function get_file_list($dir,$dirs=false,$types=array(),$natypes=array()){
		$t_dir = @opendir($dir);
		if(!$t_dir)
			return false;
		$na = array('','.','..');
		$files = array();
		while(($file = readdir($t_dir)) !== false){
			if(!in_array($file,$na)){
				if($dirs){
					if(is_dir($dir.$file))
						$files[] = $file;
				} else {
					if(!is_dir($dir.$file)){
						if($this->check_file_type($file,$types,$natypes))
							$files[] = $file;
					}
				}
			}
		}
		if($t_dir)
			@closedir($t_dir);
		return $files;
	}
	
	function get_theme_info($t){
		$files = $this->get_file_list($this->theme_path.$t);
		if(in_array('theme.txt',$files)){
			$template_data = implode( '', file( $this->theme_path.$t.'/theme.txt' ));
			$name = '';
			$opts = array();
			if(preg_match('|Template Name:(.*)$|mi', $template_data, $name)){
				$opts['name'] = _cleanup_header_comment($name[1]);
				$opts['center'] = 'N';
				if(preg_match( '|Center:(.*)$|mi', $template_data, $size))
					$opts['center'] = _cleanup_header_comment($size[1]);
				if(preg_match( '|Preview Size:(.*)$|mi', $template_data, $size))
					$opts['size'] = array_filter(explode('x',_cleanup_header_comment($size[1])));
				$opts['ext'] = 'png';
				if(preg_match( '|Preview Ext:(.*)$|mi', $template_data, $ext))
					$opts['ext'] = _cleanup_header_comment($ext[1]);
				if(preg_match( '|Colors:(.*)$|mi', $template_data, $color)){
					$opts['colors'] = $this->color_opts($t,$opts['ext'],array_filter(explode(' | ',_cleanup_header_comment($color[1]))));
				} else {
					if(file_exists($this->theme_path.$t.'/preview.'.$opts['ext']))
						$opts['img'] = $t.'/preview.'.$opts['ext'];
				}
				if(preg_match('|Button Colors:(.*)$|mi',$template_data, $colors))
					$opts['button_colors'] = $this->button_colors($t,array_filter(explode('|',_cleanup_header_comment($colors[1]))));
				if(preg_match( '|List Items:(.*)$|mi', $template_data, $list))
					$opts['list'] = intval(_cleanup_header_comment($list[1]));
				if(preg_match( '|Fields:(.*)$|mi', $template_data, $fields))
					$opts['fields'] = $this->field_opts(array_filter(explode('|',_cleanup_header_comment($fields[1]))));
					
				/* Callum changed */	
				if(preg_match( '|NumberExtraInputs:(.*)$|mi', $template_data, $numfields))
					$opts['numfields'] = intval(_cleanup_header_comment($numfields[1]));
				
				
				$opts['theme'] = $t;
				return $opts;
			}
		}
		return false;
	}
	
	function field_opts($fields=array()){
		if(is_array($fields) && count($fields) > 0){
			$arr = array();
			foreach($fields as $f){
				$tmp_arr = array();
				$f2 = explode('[',$f);
				$tmp_arr['name'] = $f2[0];
				$f2 = explode(']',$f2[1]);
				$f2 = array_filter(explode(',',$f2[0]));
				$tmp_arr['field_opts'] = array();
				foreach($f2 as $a => $b){
					$f3 = explode(':',$b);
					if(count($f3) > 1){
						$tmp_arr['field_opts'][$f3[0]] = $f3[1];
					}
				}
				$arr[] = $tmp_arr;
			}
			return $arr;
		}
		return false;
	}
	
	function color_opts($t,$ext,$colors=array()){
		if(is_array($colors) && count($colors) > 0){
			$arr = array();
			foreach($colors as $c){
				$tmp_arr = array();
				$c2 = explode('[',$c);
				$tmp_arr['name'] = $c2[0];
				$c2 = explode(']',$c2[1]);
				$info = array_filter(explode(':',$c2[0]));
				$file = $t.'/previews/'.$info[0].'.'.$ext;
				if(file_exists($this->theme_path.$file) && is_file($this->theme_path.$file)){
					$info[2] = $file;
				}
				$tmp_arr['info'] =  $info;
				$arr[] = $tmp_arr;
			}
			return $arr;
		}
		return false;
	}
	
	function button_colors($t,$colors=array()){
		if(is_array($colors) && count($colors) > 0){
			$arr = array();
			foreach($colors as $c){
				$tmp_arr = array();
				$c2 = explode('[',$c);
				$tmp_arr['name'] = $c2[0];
				$c2 = explode(']',$c2[1]);
				$tmp_arr['color_id'] = $c2[0];
				$arr[] = $tmp_arr;
			}
			usort($arr,array(&$this,'sort_array'));
			return $arr;
		}
		return false;
	}
	
	function get_themes(){
		if(count($this->themes) == 0){
			$themes = $this->get_file_list($this->theme_path,true);
			$this->themes = array();
			foreach($themes as $t){
				if($t = $this->get_theme_info($t))
					$this->themes[] = $t;
			}
			usort($this->themes,array(&$this,'sort_array'));
		}
		return $this->themes;
	}
	
	function show_lightbox(){
		echo $this->load_lightbox();
	}
	
	function page_list_recursive($parentid=0,$exclude='',$selected=array()){
		$pages = get_pages('parent='.$parentid.'&child_of='.$parentid.'&exclude='.$exclude);
		if(count($pages) > 0){
			$str = '
		<ul class="children">';
			foreach($pages as $p){
				$sel = false;
				if(isset($selected['pageid']) && in_array($p->ID,$selected['pageid']))
					$sel = true;
				$str .= '
			<li><input type="checkbox" name="popup_domination_show[pageid][]" value="'.$p->ID.'" id="pageid_'.$p->ID.'"'.(($sel)?' checked="checked"':'').' /> <label for="pageid_'.$p->ID.'">'.esc_html($p->post_title).'</label>'.$this->page_list_recursive($p->ID,$exclude,$selected).'</li>';
			}
			$str .= '
		</ul>';
			return $str;
		}
	}
	
	function cat_list_recursive($parentid=0,$selected=array()){
		$cats = get_categories('hide_empty=0&child_of='.$parentid.'&parent='.$parentid);
		if(count($cats) > 0){
			$str = '
				<ul class="children">';
			foreach($cats as $c){
				$sel = false;
				if(isset($selected['catid']) && in_array($c->cat_ID,$selected['catid']))
					$sel = true;
				$str .= '
					<li><input type="checkbox" name="popup_domination_show[catid][]" value="'.$c->cat_ID.'" id="catid_'.$c->cat_ID.'"'.(($sel)?' checked="checked"':'').' /> <label for="catid_'.$c->cat_ID.'">'.esc_html($c->cat_name).'</label>'.$this->cat_list_recursive($c->cat_ID,$selected).'</li>';
				}
			$str .= '</ul>';
			return $str;
		}
		return '';
	}
	
	function page_list(){
		$selected = $this->show_var();
		$front = get_option('page_on_front');
		$ex_pages = '';
		if(get_option('show_on_front') == 'page' && $front){
			$ex_pages = $front;
		}
		$catstr = ''; $selectedcat = isset($selected['caton']) ? $selected['caton'] : 0;
		$opts = array('Both','Category page','Post page within the categories');
		foreach($opts as $a => $b){
			$catstr .= '
					<option value="'.$a.'"'.(($a==$selectedcat)?' selected="selected"':'').'>'.$b.'</option>';
		}
		$cats = $this->cat_list_recursive(0,$selected);
		$str = '
		<ul class="page_list">
			<li class="everywhere"><input type="checkbox" name="popup_domination_show[everywhere]" id="popup_domination_show_everywhere" value="Y"'.((isset($selected['everywhere']))?' checked="checked"':'').' /> <label for="popup_domination_show_everywhere">Everywhere</label></li>
			<li class="home"><input type="checkbox" name="popup_domination_show[front]" id="popup_domination_show_front" value="Y"'.((isset($selected['front']))?' checked="checked"':'').' /> <label for="popup_domination_show_front">Front Page</label></li>
			<li>Pages:'.$this->page_list_recursive(0,$ex_pages,$selected).'</li>';
			if(!empty($cats)){
				$str .= '
			<li><label>Categories:</label>
				<label for="popup_domination_show_caton">Show on:</label>&nbsp;
				<select name="popup_domination_show[caton]" id="popup_domination_show_caton">'.$catstr.'
				</select>
				'.$cats.'
			</li>';
			}
			$str .= '
		</ul>';
		echo $str;
	}
	
	function maxlength_txt($f,$val){
		if(isset($f['field_opts']['max'])){
			$max = intval($f['field_opts']['max']);
			$len = strlen($val);
			$txt = ' Recommended '.$max;
			$class = 'green';
			$msg = 'remaining <span>'.($max-$len).'</span>';
			if(strlen($val) > $f['field_opts']['max']){
				$class = 'red';
				$msg = 'hmm, you\'re over the limit, it might look bad';
			}
			return '<span class="recommended"><span class="'.$class.'">'.$txt.'</span> <span class="note">('.$msg.')</span></span>';
		}
		return '';
	}
	
	function admin_page(){
	load_plugin_textdomain("p\x6f\x70\x75\x70_d\x6fm\x69\x6e\x61to\x6e_\x75\x6eiq\x75\x65",false,basename(dirname(__FILE__))."\x2f\x6can\x67ua\x67\x65\x73");${"G\x4c\x4f\x42\x41\x4c\x53"}["\x75umj\x68\x65\x6c\x72lvm"]="\x66iel\x64s\x61r\x72";${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x73\x65\x74\x73\x79\x75\x62"]="\x63\x6fu\x6e\x74\x65\x72";${"\x47L\x4f\x42\x41\x4c\x53"}["\x76h\x71\x66\x77\x69jwg"]="o\x70\x74\x73";${"G\x4c\x4fB\x41\x4c\x53"}["n\x6a\x71bl\x6f\x64\x6c\x64\x67\x74"]="\x76a\x6c";${"\x47\x4c\x4fB\x41\x4c\x53"}["w\x74p\x72s\x70\x6b\x6dn"]="\x75\x72\x6c";${"G\x4cO\x42\x41\x4c\x53"}["\x6b\x79bgi\x77c\x6a\x79\x79"]="\x61\x72\x72";${"\x47\x4c\x4f\x42\x41\x4c\x53"}["et\x71\x74\x74\x6dp"]="f\x6f\x72\x6d\x68t\x6d\x6c";${"\x47\x4cO\x42\x41\x4cS"}["y\x6ci\x78gyc\x6d\x74\x70\x77"]="t\x6d\x70a\x72r\x32";${"G\x4c\x4fB\x41\x4c\x53"}["y\x6bi\x65\x69\x74\x61\x6f\x66q"]="p\x61\x74\x68";${"\x47\x4c\x4fB\x41L\x53"}["\x66\x6af\x65\x64dw\x70\x68\x63\x6b"]="in\x73\x74\x61\x6c\x6c";${"\x47LOB\x41LS"}["\x6el\x67\x76\x6ed\x77\x6a\x6c"]="\x66\x69\x65\x6c\x64\x73";${"\x47\x4c\x4fBA\x4c\x53"}["\x75\x78f\x67\x67u\x6c\x63"]="\x73\x68\x6f\x77j\x73";${"\x47LO\x42A\x4cS"}["\x70\x73\x68k\x64\x75b\x68\x74wxo"]="\x6c";${"\x47L\x4f\x42\x41\x4c\x53"}["\x6c\x6b\x69\x65\x6dmv\x71\x62\x6ec"]="\x73\x68\x6f\x77";${"\x47LO\x42A\x4c\x53"}["\x69\x61\x79\x73\x77\x72\x6e\x75"]="u\x70d\x61t\x65";${"G\x4cO\x42AL\x53"}["zg\x71h\x66u\x6bh\x6e\x70m"]="\x73el\x65\x63\x74\x65\x64\x32";${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x64j\x62\x68y\x79\x74\x79\x66i\x67"]="\x63\x75\x72\x5fp\x72\x65\x76\x69\x65w";${"\x47L\x4fB\x41LS"}["\x78\x76\x66\x6c\x77\x73\x72\x72"]="s\x65\x6c\x65\x63ted";${"\x47L\x4fBA\x4c\x53"}["\x64\x6bgi\x77\x6cn\x72"]="\x72\x65q";${"GLOBA\x4cS"}["\x78ohp\x70n\x77b\x7a\x74"]="\x75\x70\x64at\x65\x5f\x6d\x73\x67";${"\x47\x4cO\x42A\x4cS"}["a\x66\x62b\x70l\x6f"]="\x74";${"\x47\x4cO\x42\x41L\x53"}["\x72\x75\x63y\x78qb\x6f\x70"]="\x73\x68\x6f\x77\x5fop\x74";${"\x47\x4cOB\x41\x4c\x53"}["d\x62\x63\x76\x6f\x6a\x6dr\x74\x79\x72y"]="r\x65\x73\x70\x6fn\x73\x65";${"\x47\x4cO\x42A\x4cS"}["\x6bs\x76t\x6c\x71u\x73\x62"]="\x73\x65\x72v\x65\x72v";${"G\x4cOB\x41L\x53"}["\x75l\x6c\x76\x6eihp\x77"]="\x63u\x72_\x74\x68\x65m\x65";${"\x47\x4c\x4f\x42\x41\x4cS"}["\x6afgd\x6a\x69\x6d\x76\x7a\x78\x68\x67"]="\x69";${"\x47\x4c\x4f\x42\x41\x4cS"}["\x62\x78\x70r\x64\x76\x67\x63\x69"]="\x63\x6c\x61ss";${"\x47\x4c\x4f\x42\x41L\x53"}["i\x71\x77\x68x\x76\x6cn\x69\x78\x77"]="\x73";${"\x47LO\x42AL\x53"}["s\x68rlf\x6eh\x6e\x68v\x67"]="f\x6c";${"\x47\x4c\x4f\x42A\x4c\x53"}["b\x78\x79\x6dx\x74\x69"]="\x63\x6f\x75n\x74";${"\x47L\x4fB\x41LS"}["\x7a\x75\x64\x6fd\x64i\x6d\x64v\x69"]="\x6a\x73";${"\x47\x4c\x4f\x42AL\x53"}["d\x64\x63\x68\x70\x78"]="\x63\x68k";${"GLOB\x41\x4cS"}["\x6di\x66\x64\x6e\x72"]="\x74y\x70e";${"GL\x4fB\x41\x4c\x53"}["\x6bs\x62e\x79\x6c\x71\x72\x65j\x65"]="\x6c\x69\x73t";${"G\x4c\x4f\x42\x41\x4cS"}["\x74d\x78d\x63\x77\x63g\x66\x69\x69\x64"]="\x73\x68\x6fw\x66\x6f\x72\x6d";${"\x47L\x4f\x42A\x4cS"}["q\x6a\x77\x63\x66\x67mvf"]="k\x65\x79";${"\x47\x4c\x4f\x42\x41L\x53"}["e\x70\x6f\x73b\x66\x76"]="\x69\x6d\x67";${"GLO\x42ALS"}["x\x77edj\x6aj\x7a\x6d"]="\x73\x63\x68";${"\x47\x4c\x4f\x42\x41\x4c\x53"}["dvq\x75\x6abl\x73\x65j\x70\x76"]="\x76al\x63";${"\x47\x4cO\x42AL\x53"}["\x64zb\x6a\x76\x6a\x77es"]="o\x70\x74\x69\x6f\x6e\x73";${"GL\x4fB\x41\x4c\x53"}["\x74t\x78g\x74dpj\x6c"]="\x63\x68e\x63\x6b";${"\x47L\x4fB\x41L\x53"}["a\x79e\x76g\x68r"]="\x61";${"G\x4c\x4f\x42A\x4c\x53"}["\x64\x6e\x79\x75fe\x76f"]="\x6f\x70\x74s\x32";${"\x47L\x4fB\x41\x4c\x53"}["\x65\x6e\x63\x6e\x6co\x63\x6b\x72v"]="t\x6d\x70";${"\x47\x4cOB\x41L\x53"}["\x78\x6ek\x72\x69l\x73\x6f"]="\x74\x6dp\x61\x72\x72";${"G\x4c\x4f\x42A\x4c\x53"}["l\x79\x67o\x70\x68p\x6e"]="f";${"G\x4c\x4fB\x41\x4c\x53"}["\x66t\x71k\x71\x6e\x67\x72\x7a\x70"]="\x66\x69\x65\x6c\x64i\x64";${"\x47\x4c\x4fBA\x4c\x53"}["\x67\x75\x61tv\x75ul"]="\x6c\x63\x6f\x75n\x74";${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x66\x6covl\x65\x6f\x79\x65\x64\x6d"]="\x69\x6da\x67\x65s";${"\x47\x4c\x4f\x42ALS"}["y\x66\x70\x72\x6d\x70\x6f\x64x\x69"]="b";${"\x47\x4c\x4f\x42A\x4cS"}["jq\x6dd\x69\x66\x71\x62\x64\x66\x75"]="\x63\x75\x72\x5fsize";${"\x47L\x4fB\x41\x4cS"}["\x73\x64hs\x64h\x78\x67\x6e\x78"]="c";${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x76c\x76z\x6b\x62\x6avn"]="\x69\x6es";${"G\x4cO\x42A\x4c\x53"}["\x68zo\x72d\x79\x6b"]="o\x72\x69gs\x68o\x77";${"GL\x4fB\x41\x4c\x53"}["\x6c\x73fng\x71au\x6a"]="t\x65m\x70la\x74\x65\x73";${"\x47L\x4fBA\x4cS"}["k\x74gq\x77vu\x75\x72\x73c"]="d\x65f\x61\x75\x6ct\x73";${"\x47\x4c\x4fBAL\x53"}["\x62\x72t\x63\x73\x63\x63ta\x78h\x75"]="\x66ield\x5f\x73\x74r";if(!${${"G\x4c\x4f\x42ALS"}["\x76\x63v\x7a\x6b\x62\x6a\x76\x6e"]}=$this->option("i\x6es\x74a\x6cl\x65\x64")){${"\x47\x4c\x4f\x42\x41\x4cS"}["\x6d\x63\x76\x63f\x77\x62\x6fnc\x65"]="\x73\x68\x6fw\x66o\x72\x6d";${"G\x4c\x4f\x42\x41\x4c\x53"}["\x63\x6d\x61\x79\x65m\x68"]="\x69\x6e\x73t\x61ll";${${"\x47L\x4fB\x41\x4c\x53"}["\x6d\x63\x76\x63f\x77\x62\x6f\x6e\x63\x65"]}=true;${${"\x47\x4c\x4f\x42AL\x53"}["\x74\x74\x78g\x74\x64pj\x6c"]}=${${"G\x4c\x4f\x42\x41\x4c\x53"}["\x63\x6da\x79\x65\x6d\x68"]}=false;${${"\x47\x4c\x4f\x42\x41\x4cS"}["qjw\x63\x66g\x6d\x76f"]}="";if(isset($_POST["ac\x74i\x6f\x6e"])&&strtolower($_POST["a\x63ti\x6fn"])=="ch\x65c\x6b\x2d\x72ec\x65\x69p\x74"&&wp_verify_nonce($_POST["\x5fwp\x6eo\x6e\x63e"],"\x63h\x65\x63\x6b\x2d\x72ece\x69\x70t")){if(isset($_POST["\x72ec\x65ip\x74\x5f\x6b\x65y"])&&!empty($_POST["\x72\x65ce\x69\x70\x74_\x6bey"])){$rolotmcxhm="\x6b\x65\x79";$koffoj="k\x65\x79";${$rolotmcxhm}=$_POST["r\x65\x63\x65i\x70\x74_\x6b\x65y"];if(${$koffoj}=="PDT\x4e\x4a\x43\x35T\x4d"){$wfwagcnctg="\x73how\x66\x6f\x72m";${"\x47\x4c\x4f\x42ALS"}["\x73\x6dv\x76\x63\x7a\x6ej\x6c\x76\x63\x68"]="\x69n\x73ta\x6c\x6c";${${"G\x4cOB\x41L\x53"}["sm\x76v\x63z\x6e\x6a\x6c\x76c\x68"]}=true;${$wfwagcnctg}=false;}else{$cmxbvlce="\x72\x65\x73\x70o\x6e\x73e";$iehodmbg="\x72es\x70o\x6e\x73e";${$iehodmbg}="";${${"\x47\x4cO\x42A\x4c\x53"}["wt\x70r\x73p\x6bmn"]}="ht\x74p\x3a\x2f\x2fpopu\x70\x64om\x69n\x61tio\x6e\x2ecom\x2f\x74\x68ank\x73\x2d\x73ec\x75re/check\x5fr\x65\x63e\x69p\x74\x2ep\x68p?r\x65\x63\x65\x69\x70t\x5f\x6b\x65y\x3d".urlencode(base64_encode($_POST["\x72ece\x69\x70\x74\x5fk\x65\x79"]))."&\x75\x72l=".urlencode(base64_encode($this->plugin_url))."&\x74yp\x65=\x70\x6c\x75\x67\x69n";${"\x47LO\x42\x41LS"}["\x66\x63\x6d\x71\x73\x7a\x62\x6c\x71\x6c\x70"]="\x63\x68\x65\x63\x6b";${${"G\x4c\x4fB\x41\x4cS"}["\x64\x6bg\x69w\x6cnr"]}=new WP_Http();${${"\x47\x4c\x4f\x42A\x4c\x53"}["d\x62\x63\x76\x6f\x6a\x6drt\x79r\x79"]}=$req->request(${${"\x47L\x4f\x42\x41\x4c\x53"}["\x77\x74\x70\x72\x73\x70k\x6dn"]},array("\x74\x69m\x65\x6f\x75t"=>30));$eggoinig="\x72esp\x6fnse";${$cmxbvlce}=isset(${${"G\x4c\x4fBALS"}["d\x62cvoj\x6dr\x74\x79\x72\x79"]}["\x62o\x64\x79"])?${$eggoinig}["b\x6f\x64\x79"]:"";${${"\x47L\x4f\x42\x41\x4c\x53"}["\x66\x63\x6dqszb\x6c\x71lp"]}=true;}if(${${"\x47\x4cOB\x41\x4c\x53"}["\x74\x74\x78\x67\x74\x64p\x6al"]}){$dsaydwvil="\x72\x65\x73\x70\x6f\x6e\x73\x65";if(substr(${$dsaydwvil},0,4)=="\x74\x72\x75e"){$kwtnibicrx="\x69ns\x74\x61\x6cl";${"\x47\x4c\x4f\x42\x41\x4cS"}["\x74\x6dj\x67\x71\x64\x68\x67\x62\x6c"]="s\x68\x6f\x77\x66or\x6d";${${"\x47L\x4fB\x41\x4c\x53"}["\x74\x6d\x6a\x67qdh\x67\x62l"]}=false;${$kwtnibicrx}=true;}}if(${${"\x47\x4c\x4f\x42A\x4c\x53"}["\x66j\x66e\x64\x64w\x70\x68\x63k"]}){$cxwycle="\x61";${"\x47\x4cO\x42\x41\x4cS"}["\x7ak\x6c\x72if\x61"]="\x62";${${"G\x4c\x4fBA\x4c\x53"}["kt\x67\x71\x77v\x75\x75r\x73c"]}=array("\x74\x65\x6d\x70l\x61\x74\x65"=>"\x6c\x69ght\x62ox","\x63\x6flor"=>"blue","\x63\x6fok\x69e\x5ft\x69\x6de"=>7,"\x64e\x6c\x61\x79"=>0,"b\x75t\x74on_co\x6c\x6fr"=>"r\x65d","\x73h\x6fw"=>serialize(array("e\x76ery\x77h\x65re"=>"Y")),"\x73\x68\x6fw_o\x70\x74"=>"ope\x6e","u\x6elo\x61d\x5fms\x67"=>"\x57\x6f\x75\x6c\x64\x20you\x20l\x69\x6be to\x20\x73ig\x6e\x75p t\x6f\x20t\x68\x65 \x6ee\x77sl\x65t\x74\x65\x72\x20b\x65f\x6f\x72\x65\x20y\x6fu\x20g\x6f?","\x69\x6d\x70r\x65s\x73i\x6fn_c\x6funt"=>0,"new\x5fw\x69\x6ed\x6fw"=>"\x4e","\x70\x72\x6f\x6do\x74\x65"=>"\x59","i\x6estalled"=>"\x59");foreach(${${"G\x4cO\x42ALS"}["\x6b\x74g\x71\x77v\x75\x75\x72s\x63"]} as${$cxwycle}=>${${"\x47\x4c\x4f\x42\x41\x4cS"}["\x7a\x6blr\x69\x66\x61"]}){$mknoyghjg="\x62";if(!$this->option(${${"\x47\x4cO\x42\x41\x4cS"}["\x61\x79\x65vgh\x72"]}))$this->update(${${"G\x4c\x4f\x42\x41\x4c\x53"}["\x61ye\x76gh\x72"]},${$mknoyghjg});}echo"\n\t\t\t\t\t\t\t<\x73c\x72i\x70t\x20\x74ype\x3d\"\x74\x65\x78t/\x6a\x61\x76\x61\x73c\x72\x69\x70\x74\x22>\n\t\t\t\t\t\t\t\tjQ\x75\x65ry\x28d\x6f\x63\x75\x6d\x65n\x74).re\x61dy(\x66u\x6e\x63tion(\x29{\n\t\t\t\t\t\t\t\t\tv\x61r \x68\x65igh\x74 \x3d\x20j\x51u\x65\x72\x79\x28\x22\x2e\x74he\x5fco\x6ete\x6e\x74_\x62ox\"\x29\x2eo\x75\x74\x65r\x48\x65\x69\x67h\x74\x28\x74\x72\x75e\x29;\n\t\t\t\t\t\t\t\t\t\x6a\x51uer\x79\x28\x22.\x74\x68\x65_\x63\x6f\x6e\x74ent_bo\x78\x22)\x2e\x70a\x72\x65\x6et\x28\x29\x2ecss\x28\x22\x6din-\x68ei\x67h\x74\",\x68\x65\x69g\x68\x74);\n\t\t\t\t\t\t\t\t});\n\t\t\t\t\t\t\t<\x2fscr\x69pt\x3e\n\t\t\t\t\t\t\t\t\x3c\x64iv\x20\x69d=\x22\x70\x6f\x70\x75\x70_\x64o\x6d\x69\x6e\x61\x74\x69on\x5f\x63o\x6e\x74ai\x6ee\x72\" \x63\x6ca\x73\x73=\"\x68\x61\x73\x2dleft-s\x69deb\x61\x72\">\n\t\t\t\t\t\t\t\t\t<\x64iv c\x6cass=\x22\x6dai\x6ebox\" i\x64\x3d\"\x70\x6f\x70up_do\x6d\x69\x6eatio\x6e\x5ft\x61\x62\x5flo\x6f\x6b_\x61\x6ed_\x66e\x65\x6c\"\x20st\x79\x6c\x65=\x22\x77i\x64th:\x398\x25\x3b\"\x3e\n\t\t\t\t\t\t\t\t\t\t<h3 \x63las\x73\x3d\x22\x74\x69t\x6ce \x74o\x70\x62ar \x69\x63\x6fn fe\x65\x6c\" \x73\x74\x79\x6ce=\x22ma\x72gi\x6e\x2dt\x6f\x70\x3a0px\x20\x21i\x6d\x70o\x72tant;\"><sp\x61\x6e\x3eIns\x74all\x61ti\x6f\x6e \x43\x6fmpl\x65\x74e/\x73p\x61n>\x3c/h\x33\x3e\n\t\t\t\t\t\t\t\t\t\t<\x64\x69v\x20clas\x73=\"in\x73\x69de\x20\x74wo\x6d\x61in\x64\x69v\x73\x22\x3e\n\t\t\t\t\t\t\t\t\t\t\t\x3cdiv\x20\x63\x6ca\x73\x73=\x22\x70o\x70dom_c\x6f\x6et\x65n\x74b\x6f\x78\x20\x74h\x65_\x63\x6fn\x74e\x6et_bo\x78\" \x73t\x79\x6c\x65\x3d\x22marhin\x2dl\x65f\x74:\x2d\x35\x30\x25;\x22\x3e\n\t\t\t\t\t\t\t\t\t\t\t\x3c\x68\x33\x20 \x73t\x79le=\"m\x61\x72gin\x2dtop\x3a0p\x78 !\x69m\x70\x6frta\x6e\x74\x3b\x22\x3eN\x65x\x74 \x53t\x65\x70\x3c/\x683>\n\t\t\t \x20 \x20\x20\x20         \x20 \x20\x20\x20\t\t\t\t<d\x69v\x20\x63l\x61\x73s=\"po\x70do\x6d_\x63\x6fn\x74en\x74box\x5f\x69\x6eside\x22>\n\t\t\t\t\t\t\t\t\t\t\t\t\t<a h\x72e\x66=\"".$this->opts_url."\x22>Cli\x63\x6b h\x65\x72e\x20t\x6f\x20\x66i\x6e\x69\x73h \x73e\x74\x74\x69\x6eg \x75\x70\x2e\x3c\x2f\x61\x3e\n\t\t\t\t\t\t\t\t\t\t\t\t\x3c/\x64iv>\n\t\t\t\t\t\t\t\t\t\t\t<\x2fd\x69\x76\x3e\n\t\t\t\t\t\t\t\t\t\t\t\x3c\x64iv\x20c\x6ca\x73\x73=\x22\x70opdo\x6d_\x63\x6f\x6ete\x6e\x74box\x20the_h\x65l\x70_\x62\x6fx\"\x3e\n\t\t\t     \x20\x20\x20\x20\x20 \x20\x20\x20 \x20\x20 \x20\x20\x20 \x20 \t\t\t<h3\x20 s\x74\x79\x6c\x65\x3d\x22\x6d\x61rg\x69\x6e\x2dto\x70\x3a0\x70\x78 !\x69\x6dp\x6f\x72tan\x74;\x22\x3eH\x65lp\x3c\x2f\x683>\n\t\t\t\x20\x20\x20\x20   \x20   \x20\x20\x20\x20  \x20   \x20 \x20\t\t\t\x3cd\x69v\x20\x63\x6cass=\"p\x6f\x70dom\x5fco\x6e\x74\x65\x6e\x74b\x6fx\x5f\x69\x6es\x69\x64e\x22\x3e\n\t\t\t\x20  \x20    \x20\x20 \x20  \x20 \x20    \x20 \x20\t\t\t\t<p>W\x69t\x68 t\x68e \x6e\x65\x77\x20u\x70\x64\x61te \x6ff \x57ordpre\x73s t\x6f v\x65rsion 3.2, \x77\x65\x20\x72\x65c\x6f\x6d\x6de\x6ed\x20\x6dak\x69\x6e\x67 \x73ure\x20yo\x75\x20\x62\x72o\x77s\x65r\x20is up\x2dto\x2dda\x74e\x2e T\x6f\x20\x64o\x20t\x68\x69\x73\x2c\x20\x68\x65a\x64 \x6fv\x65\x72\x20t\x6f\x3a \x3ca h\x72f\x65\x3d\"\x68\x74\x74\x70:\x2f/\x62ro\x77\x73e\x68\x61p\x70\x79.c\x6f\x6d\x2f\x22\x3eht\x74p\x3a\x2f\x2f\x62r\x6fws\x65hap\x70\x79\x2e\x63om\x2f\x3c\x2fa> t\x6f\x20\x6da\x6b\x65\x20\x73\x75r\x65\x20y\x6fu\x72\x20brow\x73\x65r i\x73 the \x6c\x61t\x65\x73\x74\x20\x76e\x72si\x6fn\x2e<\x2f\x70\x3e\n\t\t\t\t\x20\x20  \x20\x20    \x20\x20        \x20 \x20\x20\t\t\t<p\x3e\x4d\x61\x6b\x65 sur\x65\x20\x74o\x20\x68e\x61\x64\x20o\x76e\x72 to y\x6f\x75 \x73\x75\x70\x70\x6frt \x61\x72e\x61\x20\x69f\x20you\x20\x68av\x65 any\x20\x70r\x6fb\x6ce\x6ds<\x2fp\x3e\n\t\t\t\t\x20 \x20  \x20\x20 \x20 \x20\x20 \x20\x20\x20    \x20\x20\x20\t\t\t\t<\x70\x3e\x3ca\x20\x68\x72\x65f=\"\x68\x74t\x70\x73\x3a/\x2fp\x6fp\x64om.a\x73\x73\x69\x73t\x6cy.\x63\x6fm/\x22\x3e\x43\x6ci\x63k\x20\x48ere\x20to \x67et\x20the\x72e</\x61>\x3c/\x70>\n\t\t\t\t\x20\x20   \x20\x20\x20 \x20 \x20   \x20 \x20 \x20\x20\x20 \t\t\t\t<p>\x59\x6f\x75 \x63\x61\x6e \x61\x6cso \x63ont\x61\x63\x74 \x75s\x20d\x69\x72\x65\x63t\x6cy \x74\x68\x65r\x65 to\x6f.\x3c\x2fp>\n\t\t\t \x20   \x20   \x20\x20\x20 \x20  \x20 \x20 \x20   \t\t\t<\x2fd\x69v\x3e\n\t\t\t  \x20  \x20      \x20\x20\x20  \x20 \x20 \x20\x20 \t\t</\x64\x69\x76\x3e\n\t\t\t\x20 \x20\x20\x20\x20   \x20\x20\x20    \x20\x20\x20 \x20\x20 \t\t\t\x3cd\x69v clas\x73=\x22\x63\x6ce\x61\x72\"><\x2f\x64i\x76\x3e\n\t\t\t\t\t\t\t\t\t\t<\x2fdiv\x3e\n\t\t\t\t\t\t\t\t\t\x3c/\x64\x69\x76\x3e\n\t\t\t\t\t\t\t\t</\x64\x69v\x3e";}else{echo"<di\x76 \x63\x6cas\x73\x3d\"up\x64\x61te\x64\x22\x3e\x3c\x70>T\x68\x65 \x6f\x72\x64\x65\x72\x20\x6eu\x6dber y\x6f\x75 e\x6e\x74\x65\x72\x65d\x20\x69\x73\x20i\x6ev\x61\x6c\x69\x64\x2e P\x6c\x65\x61se\x20c\x6f\x6e\x74ac\x74\x20su\x70p\x6frt.<\x2f\x70>\x3c/di\x76\x3e";}}}if(${${"GL\x4f\x42\x41LS"}["t\x64\x78\x64\x63w\x63g\x66\x69\x69d"]}===true){echo"\n\t\t\t\t\x3c\x73\x63\x72ip\x74 t\x79p\x65=\x22\x74\x65\x78t\x2fja\x76\x61\x73\x63r\x69\x70\x74\"\x3e\n\t\t\t\t\tj\x51\x75\x65r\x79\x28\x64o\x63\x75ment\x29\x2e\x72\x65\x61d\x79(fu\x6ec\x74i\x6fn(\x29{\n\t\t\t\t\t\tva\x72 h\x65i\x67\x68\x74 \x3d\x20\x6aQ\x75ery\x28\"\x2ethe\x5f\x63on\x74\x65n\x74\x5f\x62\x6fx\"\x29.\x6fu\x74\x65\x72Hei\x67ht\x28\x74r\x75e\x29;\n\t\t\t\t\t\t\x6a\x51u\x65r\x79\x28\"\x2e\x74\x68e_\x63\x6fn\x74e\x6e\x74\x5f\x62\x6fx\x22)\x2eparen\x74\x28).\x63\x73\x73\x28\x22\x6din-\x68e\x69g\x68t\x22,he\x69\x67\x68\x74\x29;\n\t\t\t\t\t\x7d)\x3b\n\t\t\t\t\x3c\x2fs\x63rip\x74>\n\t\t\t\t\t<\x64i\x76 \x69d\x3d\x22po\x70up_d\x6f\x6di\x6ea\x74\x69\x6f\x6e\x5fcon\x74\x61\x69ner\x22\x20\x63lass\x3d\"h\x61s\x2d\x6ceft-si\x64\x65\x62\x61\x72\x22\x3e\n\t\t\t\t\t\t<\x64i\x76\x20\x63\x6ca\x73s\x3d\"m\x61\x69\x6e\x62\x6f\x78\"\x20id=\x22\x70\x6f\x70u\x70\x5fdomi\x6ea\x74\x69on\x5f\x74\x61b\x5fl\x6f\x6fk_a\x6ed\x5f\x66\x65\x65l\x22 style=\"w\x69dt\x68\x3a\x398\x25;\x22>\n\t\t\t\t\t\t\t<h3 \x63l\x61ss\x3d\"\x74\x69t\x6ce t\x6fp\x62\x61r \x69\x63\x6f\x6e \x66eel\x22 \x73\x74y\x6ce\x3d\"m\x61r\x67\x69n-\x74\x6fp:\x30px\x20!im\x70o\x72\x74\x61\x6e\x74\x3b\"\x3e<\x73\x70an\x3eF\x6f\x72\x6d\x20\x43\x6f\x6e\x66igurati\x6f\x6e\x3c/s\x70a\x6e\x3e\x3c\x2fh3>\n\t\t\t\t\t\t\t\x3c\x64iv\x20cl\x61s\x73=\x22\x69\x6es\x69\x64e\x20tw\x6fm\x61in\x64i\x76\x73\">\n\t\t\t\t\t\t\t\t<div\x20c\x6cas\x73=\"po\x70d\x6f\x6d\x5fco\x6et\x65\x6e\x74b\x6fx\x20t\x68e_\x63ontent_bo\x78\" style=\x22ma\x72hi\x6e-le\x66t:\x2d50\x25\x3b\"\x3e\n\t\t\t\t\t\t\t\t\x3c\x68\x33  \x73ty\x6ce\x3d\x22\x6d\x61r\x67in-\x74\x6fp\x3a0p\x78 !\x69\x6dp\x6frtan\x74;\x22\x3e\x45nt\x65r O\x72\x64\x65r Nu\x6d\x62\x65\x72\x3c/h3\x3e\n\x20    \x20 \x20  \x20  \x20\x20\x20 \x20\x20\x20\t\t\t\t\x3c\x64\x69\x76 c\x6cas\x73\x3d\"\x70opdom\x5f\x63\x6fn\x74en\x74b\x6fx\x5finsid\x65\x22\x3e\n\t\t\t\t\t\t\t\t\t\t\x3cform\x20a\x63tio\x6e\x3d\x22".$this->opts_url."\x22\x20me\x74h\x6fd=\x22\x70\x6fst\"\x3e\n\t\t\t\t\t\t\t\t\t\t\t<\x6c\x61\x62e\x6c\x20\x66o\x72\x3d\"rec\x65ipt\">\x4f\x72\x64\x65r \x4e\x75\x6dber: <\x69\x6ep\x75\x74 ty\x70\x65=\x22t\x65\x78t\" \x6ea\x6de\x3d\x22\x72e\x63\x65\x69pt\x5fkey\" i\x64=\"\x72\x65ceipt\" \x2f>\x3c/l\x61\x62\x65\x6c>\n\t\t\t\t\t\t\t\t\t\t\t\x3cin\x70ut\x20type=\"\x73u\x62\x6dit\"\x20\x6eam\x65=\x22s\x75\x62mi\x74\x22\x20val\x75e\x3d\"\x53\x75bm\x69\x74\"\x20\x2f>\n\t\t\t\t\t\t\t\t\t\t\t<i\x6e\x70\x75t\x20\x74y\x70\x65=\"hi\x64d\x65\x6e\x22 \x6e\x61\x6de=\x22\x61ction\x22 v\x61\x6c\x75\x65=\"c\x68\x65ck\x2dr\x65\x63\x65i\x70\x74\" \x2f>".wp_nonce_field("\x63\x68e\x63\x6b-\x72e\x63\x65i\x70\x74","_\x77pn\x6f\x6ece",true,false)."\n\t\t\t\t\t\t\t\t\t\t\x3c\x2f\x66o\x72\x6d>\n\t\t\t\t\t\t\t\t\t<\x2fdi\x76\x3e\n\t\t\t\t\t\t\t\t\x3c\x2fd\x69v\x3e\n\t\t\t\t\t\t\t\t\x3cd\x69v\x20\x63la\x73\x73=\x22popd\x6f\x6d_\x63o\x6e\x74\x65\x6e\x74\x62\x6fx th\x65\x5fhel\x70\x5f\x62\x6fx\"\x3e\n\x20\x20 \x20\x20\x20\x20\x20\x20 \x20 \x20\x20\x20 \x20  \x20  \x20\x20\t\t\t\x3c\x68\x33\x20\x20\x73t\x79\x6ce=\x22m\x61r\x67i\x6e\x2dtop:0p\x78\x20!\x69m\x70\x6f\x72\x74\x61nt\x3b\">\x48\x65\x6cp</\x68\x33>\n\x20\x20\x20   \x20\x20 \x20  \x20\x20\x20\x20\x20   \x20\x20 \x20\t\t\t\x3cd\x69v\x20\x63\x6cas\x73\x3d\"p\x6fp\x64\x6f\x6d\x5f\x63ont\x65\x6e\x74b\x6f\x78\x5f\x69n\x73ide\x22>\n\t\x20 \x20   \x20 \x20    \x20  \x20   \x20  \x20\t\t\t<p>\x54o\x20\x66\x69n\x64\x20\x79\x6fur o\x72\x64\x65\x72\x20nu\x6dber\x20fro\x6d\x20\x63\x6ci\x63\x6bba\x6ek\x2c \x73ee\x20\x74\x68\x65\x20i\x6da\x67e belo\x77:</\x70>\x3cb\x72/>\n\t\t\t\t\x20\x20 \x20\x20\x20\x20\x20\x20      \x20\x20\x20\x20\x20\x20\x20\x20\t\x3c\x69\x6d\x67\x20\x73rc\x3d\x22\x68tt\x70:\x2f/\x66\x2ecl\x2ely/\x69t\x65\x6ds\x2f\x30R\x32x\x31\x733p3k3N\x31\x73\x32\x31\x33\x592g\x2f\x53cr\x65e\x6e%2\x30shot\x25\x32\x302\x301\x31-\x30\x31-\x308%2\x30\x61\x74%2\x3016.\x32\x32.\x34\x38.p\x6e\x67\x22\x20wi\x64\x74h=\"5\x35\x38\x22\x20\x68\x65\x69g\x68t\x3d\"4\x37\x35\x22 al\x74=\"\" /\x3e<br/\x3e<b\x72/>\n\t\t\t\t   \x20\x20\x20 \x20   \x20  \x20\x20  \x20\x20\x20  \t<\x70>\x49\x66\x20\x79\x6f\x75\x20\x61re \x73t\x69l\x6c\x20h\x61v\x69\x6eg \x70\x72o\x62\x6ce\x6ds, \x68e\x61d\x20o\x76er t\x6f\x20our \x68e\x6cp \x61re\x61\x20\x77\x68e\x72e \x74\x68\x65re\x20\x61r\x65 \x68e\x6cp a\x72\x74\x69\x63le\x73\x3a</p>\n\t\t\t\t  \x20\x20  \x20\x20   \x20\x20 \x20 \x20\x20\x20\x20\x20  \t\x3cp>\x3ca \x68\x72e\x66=\x22\x68\x74\x74\x70\x73://po\x70d\x6fm.a\x73\x73\x69s\x74ly.\x63\x6f\x6d/\x22\x3e\x43l\x69\x63\x6b\x20\x48ere\x20\x74o \x67\x65\x74\x20\x74\x68\x65re</\x61></p\x3e\n\t\t\t\t\x20\x20 \x20  \x20 \x20 \x20\x20\x20 \x20\x20      \x20\t\x3c\x70>\x59\x6fu\x20\x63an \x61l\x73o\x20c\x6f\x6e\x74\x61\x63t \x75\x73\x20d\x69re\x63t\x6cy \x74\x68e\x72\x65 \x74\x6f\x6f</\x70>\n\x20  \x20\x20\x20\x20\x20\x20\x20\x20\x20 \x20\x20 \x20\x20 \x20\x20\x20 \x20\t\t\t</di\x76\x3e\n  \x20\x20       \x20\x20 \x20 \x20    \x20  \t\t\x3c\x2f\x64iv\x3e\n\x20 \x20\x20\x20  \x20\x20 \x20 \x20 \x20\x20\x20\x20\x20 \x20\x20\x20\t\t\t\x3c\x64\x69v \x63\x6ca\x73s=\"cle\x61\x72\"\x3e\x3c\x2f\x64\x69v>\n\t\t\t\t\t\t\t<\x2f\x64i\x76\x3e\n\t\t\t\t\t\t<\x2f\x64i\x76>\n\t\t\t\t\t<\x2f\x64\x69\x76\x3e\n\t\t\t\t";}}else{${"G\x4cO\x42A\x4c\x53"}["\x79\x72\x68\x64l\x71\x6af\x6ca\x67"]="\x73\x68o\x77\x6a\x73";echo"\n\t\t\t\t<d\x69v c\x6c\x61\x73s\x3d\x22\x77r\x61p\x22\x20id=\"\x70\x6f\x73t\x73\x74uff\"\x3e\n\t\t\t\t\t<\x64i\x76 \x63\x6ca\x73s\x3d\"\x70\x6fp\x75p\x5fd\x6fmi\x6e\x61\x74\x69on\x5f\x74\x6f\x70\x5f\x6c\x65\x66t\"\x3e\n\t\t\t\t\t\t\x3ci\x6dg \x73\x72\x63\x3d\"".$this->plugin_url."/\x69m\x61g\x65s\x2f\x6c\x6fg\x6f.\x70n\x67\x22 \x77\x69\x64\x74h\x3d\"\x31\x397\x22\x20h\x65\x69ght=\x226\x37\" \x61\x6ct\x3d\x22\" />";${"\x47\x4cO\x42AL\x53"}["\x73\x70\x73\x6e\x73\x61q"]="\x74\x65m\x70\x6c\x61tes";$elsbikqor="\x66";$xvjsumfzsdhj="\x63o\x75nt";${"\x47\x4c\x4fB\x41\x4c\x53"}["\x70xlq\x79\x70fp"]="nu\x6d\x66\x69\x65\x6c\x64s";$nfpkahkj="c\x75\x72_\x74h\x65\x6d\x65";if(isset($_POST["\x61\x63\x74\x69\x6fn"])&&strtolower($_POST["\x61c\x74\x69\x6f\x6e"])=="t\x68em\x65-edi\x74o\x72"):$this->save_theme_file();else:if(isset($_POST["\x61\x67\x72e\x65ment"])&&$_POST["a\x67\x72\x65e\x6de\x6et"]=="\x59"){$lvvfvyjehv="\x72\x65\x73\x70\x6fn\x73\x65";${"\x47L\x4f\x42\x41L\x53"}["\x62\x64\x6a\x78\x68\x61\x67\x6b\x68e\x6b\x6b"]="\x75r\x6c";${${"G\x4c\x4f\x42\x41LS"}["y\x6b\x69\x65i\x74a\x6f\x66q"]}=$this->plugin_path;${${"\x47\x4cO\x42\x41LS"}["\x62\x64j\x78\x68ag\x6b\x68\x65k\x6b"]}="\x68\x74\x74\x70\x3a/\x2fp\x6f\x70\x75p\x64o\x6dinat\x69\x6fn.\x63o\x6d/\x74\x68a\x6eks\x2d\x73ecu\x72e/\x76er\x73\x69o\x6ech\x65\x63k\x386\x35\x68\x79\x75\x3233\x349\x38\x64\x6a\x2e\x74xt";${${"G\x4c\x4fBAL\x53"}["\x6b\x73\x76t\x6c\x71\x75sb"]}="";${${"G\x4c\x4fB\x41\x4c\x53"}["\x64k\x67i\x77\x6c\x6e\x72"]}=new WP_Http();${"G\x4cO\x42\x41\x4cS"}["mz\x64\x6cs\x68b\x61"]="\x75\x72\x6c";${$lvvfvyjehv}=$req->request(${${"\x47L\x4f\x42\x41\x4c\x53"}["\x6d\x7ad\x6cs\x68\x62\x61"]});${${"\x47LO\x42A\x4c\x53"}["dbc\x76\x6fj\x6d\x72\x74y\x72\x79"]}=isset(${${"\x47\x4cOB\x41L\x53"}["\x64\x62\x63\x76\x6f\x6a\x6d\x72\x74\x79r\x79"]}["b\x6fd\x79"])?${${"\x47\x4c\x4f\x42A\x4c\x53"}["\x64\x62\x63v\x6f\x6a\x6drt\x79\x72\x79"]}["bo\x64\x79"]:"";if(version_compare($this->version,${${"\x47\x4c\x4f\x42A\x4cS"}["db\x63\x76\x6f\x6a\x6d\x72\x74\x79\x72\x79"]},"<")){$vuquclci="\x70\x61\x74h";$tpiqdnxgt="\x7a\x69\x70";${"G\x4c\x4f\x42\x41LS"}["\x72\x64\x6e\x6eo\x73ku\x76\x69\x76\x74"]="\x70\x61\x74h";file_put_contents(${${"\x47\x4cOBA\x4c\x53"}["r\x64\x6e\x6eo\x73\x6b\x75\x76\x69v\x74"]}."u\x70grade\x2fp\x6f\x70u\x70-\x64\x6fmi\x6e\x61t\x69\x6fn.\x7a\x69\x70",file_get_contents("\x68\x74tp:\x2f/p\x6f\x70\x75p\x64\x6fmination.c\x6f\x6d\x2fn\x65\x77/u\x70\x64\x61te\x2d\x73\x65c\x75\x72e/p\x6f\x70\x75\x70-\x64\x6f\x6d\x69\x6e\x61\x74ion.zip"));${$tpiqdnxgt}=new ZipArchive();if($zip->open(${$vuquclci}."u\x70gr\x61de/po\x70u\x70\x2dd\x6fm\x69\x6eation\x2ez\x69\x70")!==TRUE){die("\x43ou\x6c\x64\x20n\x6f\x74\x20op\x65n\x20archi\x76e");}$zip->extractTo(WP_PLUGIN_DIR."/");${"\x47\x4c\x4fB\x41\x4cS"}["\x6f\x63\x68\x69\x6d\x68\x63"]="\x75p\x64\x61\x74e\x5f\x6d\x73\x67";$zip->close();${${"\x47L\x4f\x42A\x4c\x53"}["\x6f\x63\x68\x69\x6d\x68c"]}="\x59\x6f\x75r Optin Do\x6din\x61\x74\x69o\x6e \x68\x61\x73 b\x65\x65\x6e\x20\x75\x70\x64at\x65d\x2e";}else{${${"GL\x4f\x42\x41\x4c\x53"}["xo\x68\x70p\x6ewb\x7a\x74"]}="\x59\x6fu\x72 \x76e\x72si\x6fn\x20is\x20up\x20t\x6f d\x61t\x65\x2e";}}else if(!isset($_POST["a\x67\x72\x65\x65me\x6e\x74"])&&isset($_POST["che\x63k_\x75pd\x61\x74\x65"])){$njdtnfsp="\x75\x70dat\x65_\x6ds\x67";${$njdtnfsp}="P\x6ce\x61se \x61\x67r\x65e \x74\x6f\x20the term\x73\x20\x61n\x64 \x63on\x64i\x74ions\x20b\x65\x66\x6f\x72\x65\x20u\x70dat\x69\x6e\x67";}else if(isset($_POST["\x70\x6fpu\x70\x5fdo\x6d\x69\x6e\x61t\x69\x6fn"])){if(wp_verify_nonce($_POST["_\x77\x70\x6e\x6f\x6ec\x65"],"up\x64a\x74e\x2do\x70\x74\x69\x6f\x6es")){${${"\x47\x4c\x4fBA\x4c\x53"}["iay\x73\x77r\x6e\x75"]}=$_POST["p\x6f\x70\x75\x70_d\x6f\x6d\x69\x6eat\x69\x6f\x6e"];${"G\x4cOB\x41\x4cS"}["\x75v\x74\x63\x6e\x79l\x64\x63p"]="\x74";$onocmxcqzweg="\x69";$etcyiccljy="\x74";${"\x47L\x4f\x42AL\x53"}["\x62c\x77\x69z\x6d\x6a\x71\x78\x78\x76"]="\x74\x6d\x70\x61r\x72";${"\x47\x4cOBA\x4c\x53"}["\x63y\x7a\x6f\x6b\x70"]="\x61r\x72";if(isset(${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x69\x61y\x73w\x72\x6eu"]}["cu\x73\x74\x6f\x6d_fi\x65\x6cd\x73"])){$ufpdufnjvcbm="\x75p\x64a\x74\x65";$this->custominputs=${$ufpdufnjvcbm}["\x63\x75sto\x6d_\x66i\x65l\x64\x73"];}else{$this->custominputs="";}${"\x47\x4c\x4fB\x41\x4cS"}["\x66\x6a\x75gy\x72\x72"]="\x74mpa\x72\x72";$evnywbxydhc="\x74";${${"\x47\x4c\x4f\x42\x41L\x53"}["\x62c\x77\x69\x7amj\x71\x78\x78v"]}=array("t\x65\x6d\x70l\x61\x74\x65","c\x6fl\x6f\x72","n\x61\x6d\x65_\x62o\x78","e\x6d\x61\x69\x6c_bo\x78","\x61\x63t\x69\x6fn","co\x6fk\x69\x65_\x74ime","\x64el\x61\x79","\x62\x75\x74\x74o\x6e_\x63ol\x6f\x72","prom\x6f\x74e","\x63lic\x6bba\x6e\x6b","d\x69sa\x62\x6c\x65\x5fna\x6de","\x73ho\x77\x5f\x6f\x70\x74","u\x6e\x6c\x6fad_msg","im\x70\x72es\x73ion_co\x75n\x74","n\x65w_w\x69\x6edow","custom\x5ff\x69\x65ld\x73");$oyytwt="\x61";for(${$onocmxcqzweg}=1;${${"\x47L\x4f\x42\x41\x4cS"}["\x6af\x67\x64\x6a\x69mvz\x78hg"]}<=$this->custominputs;${${"\x47\x4c\x4fB\x41\x4c\x53"}["\x6a\x66\x67dj\x69m\x76\x7a\x78h\x67"]}++){$urycteo="i";${${"\x47\x4c\x4fB\x41LS"}["xnk\x72ilso"]}[]="c\x75s\x74\x6f\x6d".${$urycteo}."_bo\x78";}${${"\x47\x4c\x4fB\x41\x4c\x53"}["\x79\x6c\x69\x78g\x79\x63\x6d\x74\x70w"]}=array("c\x6c\x69ck\x62an\x6b"=>$this->option("\x63\x6c\x69\x63k\x62a\x6e\x6b"),"\x64isa\x62l\x65\x5f\x6e\x61\x6d\x65"=>"N","\x75n\x6coa\x64_ms\x67"=>$this->option("\x75nl\x6f\x61d_\x6d\x73\x67"),"\x6ee\x77_\x77i\x6edo\x77"=>"\x4e");${${"\x47L\x4f\x42\x41\x4c\x53"}["\x6b\x79bg\x69\x77c\x6a\x79\x79"]}=array();foreach(${${"GL\x4fBA\x4c\x53"}["\x66j\x75\x67\x79\x72\x72"]} as${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["u\x76t\x63\x6e\x79ld\x63p"]}){${"GL\x4f\x42\x41L\x53"}["f\x75x\x79\x76ts"]="\x74";$xkyqqfc="\x74";$bdnnazw="u\x70d\x61te";$hgvhjymq="u\x70\x64\x61\x74\x65";if(!isset(${$bdnnazw}[${${"\x47LO\x42A\x4cS"}["\x61f\x62\x62\x70\x6c\x6f"]}])){${"\x47L\x4f\x42AL\x53"}["p\x6e\x74\x6c\x6d\x76ew"]="\x75\x70\x64\x61\x74\x65";${"\x47\x4cOBA\x4cS"}["\x6bfms\x6b\x75\x73m"]="\x75pda\x74\x65";${"\x47\x4c\x4f\x42\x41\x4c\x53"}["cg\x65\x74\x74g\x65z\x6dj\x72\x66"]="t";$qlsjvd="\x74\x6dpa\x72\x72\x32";${"\x47\x4c\x4f\x42\x41\x4cS"}["\x6c\x75\x77\x6c\x6bf\x76k"]="\x74";${${"GLO\x42A\x4c\x53"}["k\x66\x6d\x73k\x75\x73\x6d"]}[${${"\x47LOB\x41\x4cS"}["a\x66\x62\x62\x70\x6c\x6f"]}]="";if(isset(${$qlsjvd}[${${"\x47\x4c\x4fB\x41L\x53"}["a\x66b\x62\x70\x6c\x6f"]}])&&${${"G\x4c\x4f\x42A\x4cS"}["\x79li\x78gy\x63\x6d\x74\x70\x77"]}[${${"\x47\x4c\x4fBA\x4c\x53"}["\x63\x67\x65\x74\x74g\x65\x7a\x6d\x6ar\x66"]}])${${"\x47\x4c\x4f\x42\x41L\x53"}["p\x6e\x74l\x6d\x76\x65\x77"]}[${${"GLO\x42\x41LS"}["l\x75w\x6c\x6b\x66\x76\x6b"]}]=${${"\x47\x4cOBA\x4cS"}["y\x6c\x69\x78\x67y\x63\x6dt\x70\x77"]}[${${"\x47L\x4f\x42\x41\x4c\x53"}["\x61\x66\x62bp\x6c\x6f"]}];}${${"G\x4c\x4f\x42AL\x53"}["k\x79\x62\x67\x69\x77\x63\x6a\x79y"]}[${$xkyqqfc}]=stripslashes(${$hgvhjymq}[${${"\x47\x4c\x4f\x42ALS"}["\x66\x75\x78\x79\x76\x74\x73"]}]);}${$etcyiccljy}=$this->get_theme_info(${${"G\x4cO\x42\x41L\x53"}["ia\x79\x73\x77rnu"]}["t\x65m\x70l\x61\x74\x65"]);if(isset(${$evnywbxydhc}["f\x69\x65l\x64s"])&&count(${${"GL\x4f\x42ALS"}["a\x66\x62b\x70\x6c\x6f"]}["\x66ield\x73"])>0&&isset($_POST["po\x70up\x5f\x64\x6fmi\x6eatio\x6e\x5ffie\x6cds"])){${"\x47\x4cOBA\x4cS"}["mib\x62\x71\x6fln\x6b"]="\x74";foreach(${${"\x47\x4c\x4f\x42\x41\x4cS"}["\x6d\x69b\x62qo\x6c\x6ek"]}["fie\x6cds"]as${${"G\x4c\x4f\x42\x41\x4c\x53"}["lygo\x70h\x70\x6e"]}){$xbrumgap="\x61\x72r";${"\x47\x4c\x4f\x42A\x4c\x53"}["\x74\x75\x77\x62\x66\x6fe\x6f\x73t"]="f";${$xbrumgap}["\x66\x69\x65\x6cd\x5f".${${"\x47\x4cO\x42\x41L\x53"}["\x74\x75\x77\x62\x66\x6fe\x6f\x73\x74"]}["\x66\x69\x65ld\x5f\x6fp\x74s"]["\x69d"]]=stripslashes($_POST["\x70o\x70\x75p\x5f\x64o\x6di\x6eatio\x6e\x5f\x66\x69el\x64s"][${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["lyg\x6f\x70\x68p\x6e"]}["\x66\x69e\x6c\x64\x5fo\x70\x74\x73"]["id"]]);}}foreach(${${"\x47\x4c\x4fB\x41\x4cS"}["c\x79zok\x70"]} as${$oyytwt}=>${${"\x47\x4cO\x42\x41L\x53"}["y\x66\x70rm\x70o\x64\x78\x69"]}){${"\x47\x4c\x4fB\x41L\x53"}["\x70\x78g\x75\x6f\x6f\x7a\x6a\x6fcy\x68"]="\x62";${"\x47L\x4f\x42\x41\x4c\x53"}["\x70\x65\x6f\x75pd\x7a\x6f\x73\x6b\x79"]="a";${"\x47\x4cO\x42AL\x53"}["\x79\x68\x77\x61\x6e\x6bzl\x63\x68y"]="c\x68k";$uefbllyjkj="\x62";$hwjmqc="\x63h\x6b";${"G\x4cOBA\x4c\x53"}["\x77\x6b\x66\x68m\x63\x6e\x7a"]="a";${${"\x47\x4cO\x42\x41\x4c\x53"}["\x79\x68wan\x6b\x7a\x6c\x63\x68\x79"]}=(${${"\x47\x4cO\x42\x41\x4cS"}["\x70eo\x75\x70\x64\x7ao\x73\x6b\x79"]}=="\x66\x69\x65\x6c\x64_\x76id\x65\x6f\x2de\x6d\x62ed");${$uefbllyjkj}=(${$hwjmqc}?$this->encode2(${${"\x47\x4c\x4f\x42A\x4c\x53"}["\x70\x78gu\x6fo\x7ajo\x63\x79\x68"]}):${${"\x47\x4cOB\x41\x4cS"}["yf\x70\x72mp\x6f\x64\x78\x69"]});$this->update(${${"\x47\x4cO\x42\x41\x4c\x53"}["\x77\x6b\x66\x68\x6d\x63n\x7a"]},${${"\x47\x4c\x4f\x42\x41\x4cS"}["y\x66pr\x6dpo\x64\x78\x69"]},(!${${"G\x4cO\x42\x41\x4c\x53"}["\x64\x64\x63\x68\x70\x78"]}));}$this->update("\x66\x6f\x72\x6d\x68\x74\x6dl",$this->encode2(${${"G\x4cO\x42\x41\x4cS"}["\x69ay\x73wrn\x75"]}["\x66\x6f\x72m\x68\x74m\x6c"]),false);${"\x47\x4cO\x42A\x4cS"}["\x7as\x6di\x79\x6a\x66l"]="s\x68o\x77";${${"\x47\x4cO\x42\x41LS"}["\x6e\x6cg\x76n\x64wjl"]}=array();if(isset($_POST["f\x69e\x6c\x64\x5fname"])&&isset($_POST["f\x69\x65\x6cd_v\x61l\x73"])&&count($_POST["fie\x6c\x64_na\x6d\x65"])==count($_POST["fie\x6c\x64\x5fv\x61ls"])){${"GL\x4f\x42\x41\x4cS"}["\x79g\x74l\x69\x6f\x73t\x68\x66ys"]="i";${"\x47L\x4fBAL\x53"}["\x66\x68\x71\x78\x6dx\x76i\x71\x71\x72\x62"]="\x66l";${${"\x47L\x4f\x42\x41\x4c\x53"}["\x66\x68q\x78\x6d\x78\x76\x69\x71\x71\x72\x62"]}=count($_POST["\x66ie\x6cd_na\x6d\x65"]);$jlfrcaryuwr="fl";$dbgmoegquyyh="\x69";for(${${"\x47LO\x42A\x4c\x53"}["y\x67tl\x69os\x74\x68\x66\x79\x73"]}=0;${${"\x47LO\x42A\x4c\x53"}["\x6a\x66g\x64\x6a\x69\x6d\x76\x7ax\x68\x67"]}<${$jlfrcaryuwr};${$dbgmoegquyyh}++){$pxgvyn="\x69";if(!empty($_POST["fiel\x64\x5fna\x6d\x65"][${$pxgvyn}])){${"\x47LO\x42\x41\x4cS"}["\x70mtj\x6f\x69\x68\x6b\x73\x70d"]="fi\x65\x6c\x64\x73";${"\x47\x4c\x4f\x42A\x4c\x53"}["\x6en\x6f\x75t\x68n\x78\x67\x69\x6d"]="\x69";${${"\x47\x4c\x4f\x42AL\x53"}["\x70\x6d\x74j\x6fih\x6b\x73pd"]}[$_POST["\x66\x69e\x6cd\x5fn\x61\x6de"][${${"GL\x4f\x42\x41\x4c\x53"}["n\x6eo\x75\x74\x68\x6e\x78\x67\x69\x6d"]}]]=$_POST["fiel\x64\x5fva\x6cs"][${${"\x47L\x4f\x42AL\x53"}["\x6af\x67\x64\x6aim\x76zx\x68\x67"]}];}}}$this->update("\x66ie\x6cds",serialize(${${"\x47\x4cO\x42\x41L\x53"}["\x6el\x67v\x6ed\x77j\x6c"]}),false);${${"\x47L\x4f\x42\x41LS"}["\x66l\x6fv\x6c\x65o\x79\x65\x64\x6d"]}=array();if(isset($_POST["\x66i\x65\x6c\x64_\x69m\x67"])&&count($_POST["fi\x65\x6cd_\x69\x6dg"])){$hxdyznopw="i\x6d\x67";${$hxdyznopw}=$_POST["\x66\x69eld_i\x6d\x67"];$ngdnfpmyv="\x69";${"\x47\x4c\x4f\x42\x41L\x53"}["\x68\x77e\x69\x77\x66\x6e\x6f"]="\x69";${"\x47\x4cO\x42ALS"}["tt\x64f\x79\x6f\x70y"]="\x66\x6c";${${"G\x4c\x4fBAL\x53"}["\x74\x74df\x79o\x70y"]}=count(${${"GL\x4fB\x41\x4c\x53"}["ep\x6f\x73\x62\x66v"]});for(${${"\x47L\x4fB\x41\x4cS"}["\x6a\x66\x67\x64\x6a\x69\x6d\x76zx\x68\x67"]}=0;${$ngdnfpmyv}<${${"\x47L\x4f\x42\x41L\x53"}["\x73\x68\x72\x6cf\x6e\x68n\x68\x76g"]};${${"G\x4c\x4f\x42\x41\x4cS"}["\x68\x77\x65\x69\x77f\x6e\x6f"]}++){${"\x47\x4c\x4f\x42\x41\x4cS"}["\x72ln\x76d\x6f\x67\x62"]="\x69\x6d\x67";if(!empty(${${"G\x4c\x4f\x42\x41\x4c\x53"}["r\x6c\x6ev\x64\x6f\x67b"]}[${${"\x47\x4c\x4f\x42A\x4cS"}["\x6a\x66g\x64\x6a\x69m\x76\x7a\x78\x68\x67"]}])){${"\x47L\x4f\x42A\x4c\x53"}["\x62d\x6b\x65t\x75\x72"]="\x69\x6d\x61\x67\x65\x73";${${"G\x4c\x4f\x42\x41\x4c\x53"}["bd\x6b\x65\x74\x75\x72"]}[]=${${"\x47\x4c\x4fB\x41\x4cS"}["ep\x6f\x73\x62\x66\x76"]}[${${"G\x4cOBAL\x53"}["\x6a\x66\x67\x64j\x69m\x76\x7ax\x68\x67"]}];}}}$this->update("\x69m\x61\x67e\x73",serialize(${${"GL\x4f\x42AL\x53"}["\x66\x6covl\x65o\x79\x65\x64\x6d"]}),false);${${"\x47L\x4f\x42AL\x53"}["k\x73b\x65\x79l\x71\x72\x65\x6a\x65"]}=array();if(isset($_POST["li\x73\x74\x5f\x69\x74e\x6d"])&&count($_POST["li\x73\x74_\x69\x74\x65m"])>0){${"\x47L\x4f\x42\x41\x4c\x53"}["\x72\x6a\x6a\x78m\x71m\x62\x63\x6d"]="\x6c";foreach($_POST["\x6ci\x73t\x5f\x69t\x65m"]as${${"\x47\x4c\x4fBA\x4c\x53"}["\x72j\x6ax\x6dq\x6db\x63\x6d"]}){$tlnjfavr="l";${${"\x47L\x4f\x42A\x4c\x53"}["\x6b\x73\x62eyl\x71\x72e\x6a\x65"]}[]=stripslashes(${$tlnjfavr});}}$this->update("li\x73t\x69t\x65m\x73",serialize(${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x6bs\x62\x65y\x6c\x71\x72\x65\x6ae"]}),false);${${"G\x4c\x4fB\x41L\x53"}["\x7as\x6diyj\x66l"]}=array();${${"\x47\x4c\x4f\x42A\x4cS"}["\x68z\x6frdy\x6b"]}=$this->show_var();if(isset($_POST["p\x6f\x70\x75\x70\x5fd\x6f\x6di\x6ea\x74i\x6fn\x5f\x73ho\x77"])){$vutuhkub="s\x63h";${"\x47\x4c\x4f\x42\x41LS"}["\x78\x6f\x78\x70f\x76mk\x63\x69\x61"]="\x73\x68o\x77";$tuzojqkli="sc\x68";${"\x47\x4cO\x42A\x4cS"}["\x69\x6e\x63o\x64yqt\x75m\x71"]="s\x63\x68";$gjpxcw="\x73\x63h";${$tuzojqkli}=$_POST["\x70o\x70\x75\x70_\x64\x6fm\x69\x6e\x61ti\x6f\x6e_\x73\x68\x6f\x77"];if(isset(${${"GLOBA\x4c\x53"}["\x69\x6e\x63\x6f\x64\x79\x71t\x75m\x71"]}["every\x77\x68\x65\x72\x65"])){${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x72m\x79\x67\x76b\x6c\x66\x6d"]="\x6frig\x73\x68\x6f\x77";${${"\x47\x4c\x4f\x42\x41\x4cS"}["l\x6biem\x6d\x76q\x62\x6ec"]}["ev\x65\x72\x79w\x68\x65\x72\x65"]="Y";if(!isset(${${"\x47\x4c\x4f\x42A\x4c\x53"}["\x68\x7aord\x79\x6b"]}["ever\x79w\x68e\x72e"])||${${"\x47\x4c\x4fB\x41LS"}["rmy\x67\x76\x62lfm"]}["e\x76ery\x77h\x65re"]!="\x59"){$this->update("sh\x6f\x77\x5fb\x61\x63kup",serialize(${${"\x47\x4cO\x42\x41\x4c\x53"}["\x68\x7ao\x72\x64\x79k"]}),false);}}else{$this->update("s\x68ow\x5fba\x63k\x75\x70",serialize(${${"\x47\x4c\x4f\x42\x41LS"}["\x68z\x6f\x72\x64\x79\x6b"]}),false);}if(isset(${$vutuhkub}["\x66r\x6f\x6et"]))${${"\x47LO\x42\x41\x4c\x53"}["\x78\x6fx\x70\x66\x76\x6d\x6b\x63\x69a"]}["\x66ron\x74"]="\x59";${${"G\x4c\x4f\x42\x41\x4c\x53"}["\x6ck\x69\x65\x6d\x6d\x76\x71\x62nc"]}["\x70\x61g\x65id"]=array();if(isset(${${"\x47\x4c\x4f\x42\x41\x4cS"}["x\x77\x65d\x6a\x6a\x6azm"]}["\x70\x61\x67ei\x64"])&&is_array(${$gjpxcw}["\x70\x61\x67\x65\x69d"])){$eexgptgxlpt="s";$yyjtvi="\x73\x68\x6fw";foreach(${${"G\x4c\x4f\x42\x41\x4c\x53"}["\x78w\x65\x64j\x6a\x6a\x7a\x6d"]}["pa\x67ei\x64"]as${${"\x47\x4c\x4fB\x41\x4c\x53"}["i\x71\x77\x68x\x76\x6cn\x69\x78\x77"]})${$yyjtvi}["pag\x65\x69\x64"][]=${$eexgptgxlpt};}${"\x47\x4cOB\x41L\x53"}["\x64\x71w\x6db\x62\x78p\x70\x65"]="\x73h\x6fw";${${"G\x4c\x4f\x42A\x4cS"}["\x6c\x6b\x69\x65\x6d\x6dv\x71\x62\x6ec"]}["c\x61t\x69d"]=array();if(isset(${${"G\x4c\x4f\x42A\x4cS"}["x\x77\x65d\x6a\x6aj\x7am"]}["\x63a\x74i\x64"])&&is_array(${${"\x47L\x4fB\x41\x4cS"}["\x78\x77\x65dj\x6a\x6a\x7a\x6d"]}["\x63\x61\x74id"])){${"G\x4c\x4f\x42\x41\x4cS"}["k\x6a\x64\x66\x6c\x6a\x76h"]="\x73";$oufggge="\x73";foreach(${${"\x47\x4c\x4f\x42AL\x53"}["\x78w\x65\x64jjjzm"]}["\x63\x61\x74id"]as${${"G\x4cO\x42\x41\x4cS"}["\x6b\x6a\x64\x66\x6c\x6a\x76h"]})${${"\x47L\x4f\x42A\x4cS"}["\x6ck\x69\x65\x6dmvq\x62\x6e\x63"]}["\x63a\x74\x69\x64"][]=${$oufggge};}${${"\x47\x4c\x4fB\x41L\x53"}["\x64\x71\x77\x6d\x62\x62x\x70\x70e"]}["\x63a\x74o\x6e"]=${${"G\x4c\x4fB\x41LS"}["xw\x65djj\x6a\x7a\x6d"]}["\x63at\x6f\x6e"];}$this->update("s\x68o\x77",serialize(${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x6c\x6bie\x6d\x6d\x76\x71\x62\x6e\x63"]}),false);${${"G\x4c\x4f\x42A\x4cS"}["\x78\x6fh\x70\x70\x6e\x77\x62\x7a\x74"]}="\x53\x65\x74tin\x67\x73\x20s\x61\x76\x65\x64.";}else{${${"\x47\x4cO\x42\x41\x4cS"}["\x78oh\x70\x70\x6e\x77\x62\x7a\x74"]}="C\x6fuld n\x6ft \x73\x61\x76\x65 se\x74t\x69\x6eg\x73\x20\x64\x75e\x20\x74o\x20veri\x66i\x63a\x74\x69\x6fn problem\x73. \x50\x6cea\x73e try\x20aga\x69\x6e.";}}$sbcrrxncg="\x6f";$mgjzqdyl="\x6f";endif;${${"\x47L\x4fB\x41L\x53"}["\x73p\x73n\x73\x61\x71"]}=$this->get_themes();${"\x47L\x4f\x42\x41LS"}["u\x6c\x71\x68\x62k\x74\x65\x75\x67d"]="sh\x6f\x77\x6a\x73";${${"\x47\x4c\x4f\x42\x41\x4cS"}["\x7a\x75\x64\x6fd\x64\x69m\x64\x76\x69"]}="{";${${"G\x4c\x4fBA\x4c\x53"}["\x76h\x71\x66\x77ij\x77\x67"]}=${${"\x47L\x4f\x42\x41\x4cS"}["\x64\x6ey\x75\x66\x65\x76\x66"]}=${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x62\x72\x74cs\x63\x63\x74\x61\x78h\x75"]}=${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x64\x6abh\x79y\x74\x79fi\x67"]}="";${${"GL\x4f\x42\x41\x4cS"}["\x70\x78lq\x79\x70\x66\x70"]}=${${"GL\x4f\x42\x41\x4c\x53"}["s\x65t\x73\x79\x75\x62"]}=0;${${"\x47\x4cOB\x41\x4cS"}["n\x6a\x71\x62lod\x6c\x64\x67\x74"]}=$this->option("t\x65\x6dpl\x61\x74e");${${"\x47LO\x42\x41\x4cS"}["\x64\x76q\x75\x6a\x62\x6c\x73\x65\x6a\x70\x76"]}=$this->option("\x63\x6flo\x72");${"\x47L\x4fB\x41L\x53"}["p\x64\x78\x62ngr\x77\x6c\x66"]="\x6f\x70t\x69\x6fn\x73";${$nfpkahkj}=${${"G\x4c\x4fBAL\x53"}["\x6a\x71\x6d\x64\x69\x66\x71b\x64\x66\x75"]}=array();${"\x47\x4c\x4f\x42A\x4c\x53"}["\x76\x6a\x6a\x6b\x61\x6d\x69\x7a"]="\x73\x68\x6f\x77\x6a\x73";foreach(${${"\x47LO\x42A\x4c\x53"}["ls\x66ngqa\x75\x6a"]} as${${"\x47\x4cO\x42\x41\x4c\x53"}["\x61\x66\x62b\x70\x6c\x6f"]}){${"\x47\x4c\x4f\x42\x41\x4c\x53"}["jrsnd\x70r\x68"]="\x74";${"GL\x4f\x42ALS"}["\x65g\x6e\x64re\x71"]="t";${"G\x4c\x4f\x42A\x4c\x53"}["\x69\x73\x74\x68\x65lxc\x6e\x67\x79f"]="s\x65\x6c\x65c\x74\x65\x64";${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x7a\x6bj\x72nc"]="\x63\x6f\x75\x6e\x74\x65\x72";${${"\x47L\x4f\x42A\x4cS"}["\x69\x73thelx\x63n\x67y\x66"]}=false;if(${${"G\x4c\x4f\x42A\x4c\x53"}["\x61\x66b\x62\x70\x6c\x6f"]}["\x74\x68eme"]==${${"\x47L\x4f\x42\x41\x4c\x53"}["\x6e\x6a\x71b\x6c\x6f\x64\x6c\x64\x67t"]}){$fpepsyumbo="\x74";${${"GLO\x42A\x4c\x53"}["\x78v\x66\x6c\x77\x73\x72\x72"]}=true;if(isset(${$fpepsyumbo}["co\x6cors"])){${"\x47\x4cO\x42A\x4c\x53"}["\x6drf\x62n\x75\x63\x67q\x6a"]="\x63";foreach(${${"\x47\x4c\x4fB\x41\x4c\x53"}["af\x62\x62\x70l\x6f"]}["\x63\x6fl\x6f\x72\x73"]as${${"GL\x4f\x42\x41\x4cS"}["m\x72f\x62n\x75c\x67q\x6a"]}){${"\x47\x4cO\x42\x41L\x53"}["cy\x6dz\x64\x6eq\x67\x6e"]="\x63";$mgrytqg="\x73\x65le\x63\x74\x65\x64\x32";${${"\x47\x4c\x4fB\x41\x4cS"}["\x7a\x67\x71h\x66\x75\x6b\x68\x6e\x70\x6d"]}=false;$kdgonbl="\x76\x61\x6cc";if(${$kdgonbl}==${${"\x47\x4c\x4f\x42A\x4cS"}["\x63ymz\x64\x6e\x71g\x6e"]}["\x69n\x66o"][0]){$odfyedlo="\x63";${${"\x47\x4c\x4f\x42A\x4c\x53"}["z\x67\x71\x68\x66\x75\x6b\x68\x6e\x70\x6d"]}=true;${${"GL\x4f\x42AL\x53"}["\x64\x6abh\x79\x79t\x79\x66\x69\x67"]}=(isset(${$odfyedlo}["i\x6ef\x6f"][2]))?${${"\x47LOB\x41\x4c\x53"}["\x73\x64\x68\x73d\x68\x78gnx"]}["i\x6e\x66o"][2]:"";$kttpvycjvw="t";if(isset(${$kttpvycjvw}["\x73\x69z\x65"]))${${"\x47\x4c\x4f\x42\x41L\x53"}["j\x71\x6d\x64\x69\x66\x71\x62d\x66\x75"]}=${${"\x47LO\x42\x41LS"}["a\x66\x62\x62\x70\x6co"]}["s\x69\x7a\x65"];}${${"\x47LO\x42\x41LS"}["\x64n\x79u\x66\x65\x76\x66"]}.="\x3c\x6ci \x63\x6ca\x73s=\x22".${${"G\x4c\x4fBA\x4c\x53"}["\x73\x64\x68\x73d\x68\x78\x67n\x78"]}["info"][0]."\x20".((${${"\x47\x4c\x4f\x42\x41L\x53"}["\x7a\x67\x71\x68f\x75\x6bhnpm"]})?"\x20s\x65l\x65cted":"")."\x22>\x3c\x61\x20href\x3d\"\x23".${${"G\x4c\x4fB\x41\x4c\x53"}["s\x64hs\x64\x68\x78\x67\x6e\x78"]}["i\x6ef\x6f"][0]."\"\x3e\x3c\x73pa\x6e\x20\x63\x6ca\x73\x73\x3d\"\x70\x72ev\x69\x65w\x5f\x69co\x6e\" >\x3c\x2f\x73\x70\x61\x6e\x3e\x3c\x73pan>".${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["s\x64hsd\x68\x78\x67\x6e\x78"]}["\x6ea\x6d\x65"]."\x3c/sp\x61n>".((${$mgrytqg})?"<\x73\x70an\x20\x63\x6c\x61\x73\x73\x3d\x22\x73\x65l\x65\x63te\x64_txt\x22\x3e(s\x65\x6cec\x74ed\x29\x3c\x2f\x73\x70\x61\x6e\x3e":"")."</a></l\x69\x3e";}}elseif(isset(${${"\x47L\x4f\x42\x41LS"}["a\x66b\x62p\x6c\x6f"]}["img"])){$mhitejetuqfd="\x74";$ndrfok="cu\x72\x5fp\x72e\x76i\x65\x77";${$ndrfok}=${$mhitejetuqfd}["\x69\x6d\x67"];}}${${"GL\x4f\x42\x41L\x53"}["\x76\x68qfw\x69\x6a\x77g"]}.="\x3c\x6f\x70tion\x20v\x61l\x75\x65=\"".${${"GLO\x42\x41L\x53"}["\x65\x67n\x64r\x65q"]}["\x74hem\x65"]."\x22".((${${"\x47L\x4f\x42ALS"}["a\x66\x62\x62\x70\x6c\x6f"]}["th\x65\x6de"]==${${"GL\x4fB\x41\x4cS"}["\x6e\x6aq\x62\x6c\x6f\x64l\x64\x67t"]})?" \x73\x65l\x65c\x74\x65d\x3d\"\x73e\x6c\x65cted\"":"")."\x3e".${${"\x47LO\x42A\x4cS"}["af\x62b\x70\x6c\x6f"]}["\x6e\x61\x6de"]."\x3c/\x6fpt\x69on\x3e";$pckhdwyrkc="t";$kiepvpd="\x6a\x73";${$kiepvpd}.=((${${"\x47\x4c\x4fB\x41L\x53"}["zk\x6arn\x63"]}>0)?"\x2c":"")."\"".${${"G\x4c\x4f\x42\x41\x4cS"}["afbb\x70\x6c\x6f"]}["\x74\x68\x65m\x65"]."\":{";if(count(${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["a\x66\x62\x62\x70l\x6f"]}["col\x6fr\x73"])>0){${"\x47\x4c\x4f\x42\x41\x4c\x53"}["lr\x78\x69e\x69\x6f\x74\x65\x6e\x64t"]="\x6a\x73";${${"G\x4c\x4f\x42\x41\x4cS"}["\x6c\x72\x78\x69\x65i\x6fte\x6e\x64\x74"]}.="\"c\x6f\x6cors\x22\x3a\x5b";${${"\x47\x4c\x4fBA\x4c\x53"}["\x62xy\x6d\x78\x74i"]}=0;foreach(${${"\x47LO\x42\x41\x4cS"}["\x61f\x62bp\x6co"]}["\x63\x6fl\x6f\x72\x73"]as${${"\x47\x4c\x4fB\x41\x4cS"}["\x73\x64hsdhx\x67\x6ex"]}){${"GL\x4f\x42AL\x53"}["z\x63\x70h\x6e\x6c\x65\x66o\x68\x64j"]="\x63ou\x6et";${"\x47\x4c\x4fB\x41\x4c\x53"}["\x6a\x6d\x6d\x68\x76\x73q"]="c";$wsvkypot="c";$qmoeepucjk="\x6a\x73";${"GL\x4fB\x41\x4c\x53"}["nubyjs\x72j\x72\x67l"]="c";${$qmoeepucjk}.=((${${"\x47\x4cO\x42A\x4cS"}["\x62\x78\x79m\x78\x74\x69"]}>0)?"\x2c":"")."\x7b\x22\x6ea\x6d\x65\x22:\x22".$this->input_val(${$wsvkypot}["n\x61\x6d\x65"])."\"\x2c\x22o\x70ti\x6fn\x73\":[\"".$this->input_val(${${"G\x4c\x4f\x42\x41\x4c\x53"}["\x73d\x68\x73\x64\x68\x78\x67\x6ex"]}["info"][0])."\"\x2c\x22".$this->input_val(${${"G\x4cOB\x41L\x53"}["sdh\x73\x64\x68x\x67\x6ex"]}["i\x6ef\x6f"][1])."\x22\x5d".((isset(${${"\x47\x4cO\x42A\x4c\x53"}["j\x6d\x6d\x68v\x73q"]}["\x69nfo"][2]))?",\x22p\x72e\x76ie\x77\":\x22".$this->input_val(${${"\x47LOBALS"}["\x6e\x75\x62y\x6a\x73rj\x72\x67\x6c"]}["\x69\x6e\x66\x6f"][2])."\"":"")."}";${${"\x47\x4c\x4fB\x41\x4c\x53"}["\x7a\x63\x70\x68\x6ele\x66\x6fh\x64\x6a"]}++;}${${"\x47\x4c\x4f\x42ALS"}["\x7au\x64\x6f\x64\x64\x69\x6d\x64\x76\x69"]}.="\x5d,";}elseif(isset(${${"G\x4c\x4fBA\x4c\x53"}["\x61f\x62bp\x6c\x6f"]}["i\x6dg"])){$vvpemvdgcb="\x6a\x73";${$vvpemvdgcb}.="\"\x70re\x76ie\x77\x5f\x69ma\x67e\x22:\x22".${${"\x47L\x4f\x42\x41\x4cS"}["\x61\x66\x62b\x70\x6c\x6f"]}["\x69m\x67"]."\",";}$aqkvybip="js";${"\x47LO\x42\x41L\x53"}["\x6dy\x6d\x6a\x6d\x61s\x72l\x72"]="\x74";${"G\x4cO\x42AL\x53"}["\x6av\x62\x6e\x71\x76\x68n\x67\x79"]="t";${"\x47\x4c\x4f\x42A\x4c\x53"}["kfp\x78gl\x6b"]="\x63\x6f\x75n\x74\x65\x72";${"\x47\x4c\x4fBA\x4c\x53"}["\x65\x71\x68\x75s\x68r\x6f\x74"]="\x6as";if(isset(${${"G\x4c\x4f\x42\x41\x4cS"}["a\x66\x62\x62\x70\x6c\x6f"]}["\x62\x75tton_\x63\x6flor\x73"])&&count(${${"GLO\x42A\x4c\x53"}["\x61\x66bb\x70\x6co"]}["\x62\x75tt\x6fn_\x63\x6flor\x73"])>0){$igthkkpufvx="\x63\x6f\x75\x6et";$xvohvkhrirf="\x6a\x73";$eqvichby="\x74";${$xvohvkhrirf}.="\x22b\x75\x74\x74o\x6e\x5fc\x6flor\x73\x22:[";${$igthkkpufvx}=0;foreach(${$eqvichby}["butt\x6f\x6e\x5fcolo\x72s"]as${${"\x47\x4cOB\x41L\x53"}["\x73d\x68\x73\x64\x68xgnx"]}){${"\x47LO\x42\x41L\x53"}["\x64rd\x6cn\x6dzn\x63"]="\x63\x6fu\x6e\x74";$shofwf="\x6a\x73";${$shofwf}.=((${${"\x47\x4cOB\x41\x4c\x53"}["dr\x64\x6cnm\x7a\x6ec"]}>0)?"\x2c":"")."\x7b\x22\x6eame\":\"".${${"\x47L\x4f\x42\x41\x4c\x53"}["\x73d\x68\x73d\x68\x78\x67\x6ex"]}["\x6e\x61m\x65"]."\",\"c\x6f\x6c\x6fr_i\x64\x22\x3a\"".${${"\x47\x4c\x4f\x42\x41L\x53"}["sd\x68\x73d\x68x\x67\x6e\x78"]}["color_i\x64"]."\"}";${${"\x47\x4cOBAL\x53"}["\x62\x78\x79\x6d\x78\x74i"]}++;}${${"\x47LO\x42\x41\x4c\x53"}["\x7a\x75\x64\x6f\x64\x64\x69\x6d\x64v\x69"]}.="\x5d\x2c";}if(isset(${${"G\x4c\x4f\x42A\x4c\x53"}["j\x76\x62n\x71\x76\x68n\x67y"]}["f\x69e\x6cds"])&&is_array(${${"G\x4c\x4fBA\x4c\x53"}["\x61fbbp\x6c\x6f"]}["fi\x65ld\x73"])&&count(${${"G\x4cO\x42\x41\x4c\x53"}["j\x72\x73\x6e\x64\x70\x72\x68"]}["f\x69\x65\x6c\x64s"])>0){${"\x47LO\x42\x41L\x53"}["de\x67\x6e\x77\x71\x76\x78\x74"]="\x66";${"\x47\x4c\x4f\x42A\x4c\x53"}["h\x68e\x6d\x68kf"]="js";${${"\x47\x4c\x4fBA\x4c\x53"}["\x68\x68\x65\x6d\x68kf"]}.="\"fi\x65lds\"\x3a[";${${"\x47LO\x42A\x4c\x53"}["bx\x79\x6dx\x74\x69"]}=0;${"\x47\x4cO\x42AL\x53"}["\x6awu\x79j\x77b"]="js";${"G\x4c\x4f\x42\x41L\x53"}["\x67\x72\x77a\x76n\x64ugn\x67"]="\x74";foreach(${${"\x47L\x4f\x42A\x4c\x53"}["gr\x77\x61\x76\x6ed\x75\x67n\x67"]}["f\x69elds"]as${${"GL\x4f\x42\x41\x4cS"}["de\x67n\x77\x71\x76\x78\x74"]}){${${"GL\x4fB\x41\x4cS"}["\x6di\x66\x64\x6e\x72"]}="t\x65x\x74";if(isset(${${"\x47\x4c\x4f\x42\x41\x4cS"}["\x6c\x79\x67o\x70h\x70\x6e"]}["\x66\x69\x65ld_o\x70t\x73"]["t\x79\x70e"])){$efuyrvgb="\x66";${${"\x47LO\x42\x41\x4c\x53"}["m\x69\x66\x64\x6e\x72"]}=${$efuyrvgb}["fie\x6c\x64\x5fo\x70ts"]["ty\x70\x65"];}${"\x47L\x4fB\x41L\x53"}["\x65\x72occ\x71\x62"]="t\x6d\x70";${${"G\x4c\x4f\x42\x41\x4cS"}["\x65\x72\x6f\x63cq\x62"]}=array("\"ty\x70e\"\x3a\x22".${${"G\x4c\x4fB\x41\x4c\x53"}["m\x69fdn\x72"]}."\x22");$ssnjmasypiln="\x66";${"\x47LO\x42\x41LS"}["\x79\x6fbj\x76ft\x63\x6f\x78qo"]="\x61";if(${${"GL\x4fBA\x4c\x53"}["\x78\x76f\x6c\x77s\x72r"]}){${"GLO\x42\x41\x4c\x53"}["\x64\x74\x61\x6d\x72v"]="v\x61l";$kmffeceqpot="\x66";$vchqlscjsflf="\x76a\x6c";${"GLOBA\x4c\x53"}["\x74d\x64u\x64\x62\x63\x79\x65"]="\x66\x69e\x6cdi\x64";${"\x47L\x4f\x42\x41\x4cS"}["\x71\x6c\x75\x68w\x73\x6e\x62"]="\x66\x69\x65\x6cd\x5f\x73\x74r";${"G\x4c\x4f\x42\x41\x4cS"}["\x71\x69\x6ezbx\x64p"]="v\x61l";$gqepvnp="\x66";$dijnsugmj="va\x6c";$iffdkln="v\x61\x6c";${"\x47L\x4f\x42\x41L\x53"}["\x71\x6ar\x64c\x79p"]="\x66";$thgchcjmtvr="\x66";$lfseqd="\x66";$vlytuwilezps="f\x69\x65\x6c\x64\x69\x64";$lruqdudpx="\x66";$lfjthg="\x66\x69\x65\x6c\x64\x69\x64";$oydvyqiuzumf="\x76\x61\x6c";${"G\x4cO\x42\x41L\x53"}["\x72\x6f\x79r\x6c\x73k\x73zl\x7a\x6e"]="\x66";$ejhrkgzj="\x66\x69el\x64\x69\x64";$fhbiwa="\x66";${${"\x47\x4c\x4fB\x41\x4c\x53"}["\x62\x72t\x63\x73c\x63t\x61\x78\x68\x75"]}.="<p\x20i\x64\x3d\x22p\x6f\x70\x75\x70\x5fdo\x6di\x6e\x61\x74ion_\x66\x69\x65\x6c\x64\x5f".${$kmffeceqpot}["\x66i\x65l\x64\x5fop\x74s"]["\x69\x64"]."\x22>";${"\x47\x4c\x4f\x42AL\x53"}["x\x6c\x6d\x75\x79\x6f\x65o\x69\x64\x72"]="\x74\x79p\x65";${$ejhrkgzj}="po\x70u\x70\x5f\x64om\x69nat\x69o\x6e\x5f\x66iel\x64\x5f".${$lruqdudpx}["\x66i\x65l\x64_o\x70t\x73"]["i\x64"]."_\x66\x69eld";${${"G\x4cOB\x41\x4c\x53"}["\x71luhws\x6eb"]}.="\x3c\x6c\x61\x62el\x20f\x6f\x72\x3d\x22".${${"\x47L\x4fB\x41\x4c\x53"}["\x74\x64\x64\x75db\x63\x79e"]}."\"\x3e\x3cstr\x6f\x6eg>".${${"G\x4cO\x42\x41\x4c\x53"}["\x71\x6a\x72\x64\x63\x79\x70"]}["nam\x65"]."\x3c\x2f\x73tr\x6f\x6eg><\x2flab\x65\x6c>";if(!${${"\x47\x4c\x4f\x42A\x4cS"}["\x6e\x6aqb\x6c\x6f\x64\x6c\x64\x67\x74"]}=$this->option("\x66\x69\x65\x6c\x64_".${$thgchcjmtvr}["f\x69eld_opt\x73"]["\x69\x64"],(!${${"\x47\x4c\x4f\x42\x41L\x53"}["ly\x67\x6fphp\x6e"]}["\x66i\x65\x6cd_o\x70t\x73"]["id"]=="v\x69\x64eo\x2d\x65mbed"))){$xrsykjb="\x66";${${"\x47\x4c\x4f\x42AL\x53"}["\x6e\x6a\x71\x62l\x6fd\x6cd\x67\x74"]}=((isset(${${"\x47\x4cOBA\x4cS"}["\x6cygo\x70\x68\x70\x6e"]}["f\x69\x65l\x64_\x6f\x70ts"]["d\x65\x66\x61ul\x74\x5f\x76a\x6c"]))?${$xrsykjb}["\x66i\x65\x6cd\x5fo\x70t\x73"]["defaul\x74\x5f\x76\x61l"]:"");}${"GLO\x42A\x4c\x53"}["\x69\x72\x64\x69\x72\x70\x62\x64"]="\x66";${"\x47\x4cOBA\x4cS"}["i\x66\x65j\x64\x6d\x62\x67"]="\x74\x79p\x65";switch(${${"GL\x4f\x42\x41\x4c\x53"}["\x6d\x69\x66\x64\x6er"]}){case"\x74\x65x\x74\x61r\x65\x61":${${"\x47L\x4fB\x41LS"}["\x62r\x74c\x73c\x63t\x61\x78\x68\x75"]}.=$this->maxlength_txt(${${"\x47\x4c\x4f\x42\x41\x4cS"}["l\x79\x67op\x68\x70\x6e"]},${$iffdkln})."<b\x72\x20\x2f><\x74ex\x74a\x72\x65a\x20\x63\x6fl\x73=\x2260\x22\x20\x72ow\x73\x3d\x22\x35\x22\x20\x6eam\x65\x3d\x22\x70\x6fp\x75p_d\x6f\x6din\x61tio\x6e_fi\x65\x6cds\x5b".${$fhbiwa}["f\x69\x65l\x64_\x6fp\x74s"]["i\x64"]."]\x22\x20\x69d=\x22".${$lfjthg}."\x22\x3e".$this->input_val(${$vchqlscjsflf})."<\x2ftexta\x72ea\x3e";break;case"\x69mag\x65":${${"\x47\x4cO\x42A\x4c\x53"}["br\x74\x63\x73\x63\x63\x74a\x78\x68\x75"]}.="\x3c\x69\x6e\x70u\x74 \x74\x79p\x65=\x22t\x65xt\x22  \x6e\x61\x6de=\x22p\x6f\x70\x75\x70\x5f\x64o\x6d\x69n\x61tion\x5f\x66i\x65ld\x73[".${$gqepvnp}["fi\x65\x6c\x64\x5f\x6fpt\x73"]["i\x64"]."]\x22 i\x64=\"\x70\x6fpu\x70\x5fd\x6fminat\x69\x6f\x6e\x5f\x66\x69\x65l\x64\x5f".${${"\x47LO\x42\x41\x4c\x53"}["\x72\x6f\x79\x72lsk\x73\x7a\x6c\x7an"]}["f\x69e\x6cd\x5f\x6f\x70ts"]["\x69\x64"]."\x5ffi\x65\x6c\x64\x22\x20va\x6c\x75e=\"".$this->input_val(${${"\x47\x4cOB\x41\x4c\x53"}["qinz\x62x\x64\x70"]})."\" />\x20R\x65siz\x65s \x74\x6f\x3a\x20(\x6da\x78 \x77id\x74\x68\x3a\x20".${${"\x47\x4c\x4f\x42A\x4c\x53"}["\x6c\x79\x67\x6f\x70\x68pn"]}["\x66\x69\x65l\x64\x5fo\x70ts"]["\x6dax\x5f\x77"].",\x20max h\x65i\x67ht\x3a\x20".${${"G\x4cOB\x41L\x53"}["\x6c\x79\x67\x6f\x70h\x70\x6e"]}["\x66ie\x6cd\x5f\x6f\x70ts"]["\x6dax\x5fh"].")\x20<\x61 hr\x65f\x3d\"#\x75pl\x6fa\x64_f\x69\x6ce\" \x63\x6c\x61\x73s\x3d\"bu\x74to\x6e\"\x3eUpl\x6f\x61\x64 \x66\x69le\x3c\x2f\x61\x3e\x3c\x73\x70\x61n \x69d\x3d\x22p\x6fp\x75\x70_\x64\x6f\x6dina\x74\x69\x6fn\x5f\x66\x69el\x64\x5f".${$lfseqd}["fi\x65ld_\x6fpts"]["\x69d"]."\x5ff\x69\x65l\x64\x5f\x62\x74\x6es\"".((${${"\x47\x4c\x4f\x42A\x4c\x53"}["\x64\x74\x61m\x72v"]}=="")?"\x20s\x74y\x6c\x65=\x22d\x69sp\x6cay\x3a\x6eone\"":"").">\x20|\x20\x3c\x61\x20\x68\x72\x65\x66=\x22#rem\x6fve\x22\x20cl\x61\x73s=\x22b\x75\x74\x74o\x6e\x20\">\x52\x65mo\x76e<\x2fa\x3e<\x2fs\x70an\x3e <\x69mg\x20cla\x73s\x3d\x22\x77a\x69\x74\x69\x6e\x67\x22\x20s\x74yl\x65=\x22d\x69s\x70\x6ca\x79\x3a\x6e\x6fne;\" \x73\x72\x63\x3d\"i\x6d\x61g\x65s/w\x70\x73p\x69n\x5fligh\x74.g\x69\x66\" al\x74=\"\" /\x3e \x3c\x73\x70\x61\x6e \x69\x64\x3d\"\x70\x6fp\x75\x70\x5fdo\x6d\x69\x6e\x61\x74i\x6f\x6e\x5ffie\x6c\x64\x5f".${${"\x47\x4c\x4f\x42A\x4c\x53"}["\x69\x72d\x69\x72p\x62\x64"]}["f\x69el\x64_op\x74\x73"]["i\x64"]."\x5f\x65rr\x6fr\x22\x20\x73t\x79le=\x22\x64is\x70lay\x3a\x6eo\x6e\x65\"><\x2f\x73\x70\x61n\x3e\x3c\x62\x72\x20\x2f>Wa\x6e\x74\x20to \x63re\x61\x74e a \x73\x74u\x6en\x69\x6eg\x20\x65C\x6fv\x65r\x20\x64\x65\x73ign\x20t\x6f\x20\x70\x75t\x20he\x72\x65? Ch\x65\x63\x6b\x20out\x20\x3c\x61\x20\x68re\x66\x3d\x22\x68tt\x70\x3a\x2f/\x6e\x61nacast\x2e\x63om/vp/\x395\x34\x34\x39\x2f\x369\x342\x39/\x22\x20t\x61rg\x65t\x3d\x22_b\x6ca\x6e\x6b\x22>\x65Cover\x20C\x72e\x61\x74o\x72\x20\x33D\x3c\x2fa>\x2e";break;case"\x76\x69d\x65o":${${"GL\x4fB\x41\x4c\x53"}["\x62\x72\x74cs\x63\x63\x74\x61xh\x75"]}.="\x3c\x62r\x20/>\x3ci\x6ep\x75t \x63\x6c\x61\x73s=\x22sdfd\x73\x20".${$oydvyqiuzumf}."\"\x20\x74\x79p\x65=\"".${${"GL\x4f\x42A\x4c\x53"}["\x69\x66e\x6a\x64m\x62\x67"]}."\"\x20\x6eam\x65\x3d\"\x70opu\x70_d\x6fmin\x61t\x69o\x6e\x5f\x66ie\x6c\x64\x73\x5b".${${"\x47\x4c\x4f\x42AL\x53"}["\x6c\x79g\x6f\x70hpn"]}["f\x69eld\x5fop\x74\x73"]["\x69d"]."]\" \x69\x64=\"".${$vlytuwilezps}."\x22 \x76\x61lue\x3d\"".$this->input_val(${$dijnsugmj})."\" \x2f>".$this->maxlength_txt(${${"\x47L\x4f\x42\x41\x4c\x53"}["\x6c\x79\x67o\x70\x68\x70\x6e"]},${${"GL\x4fBA\x4c\x53"}["n\x6a\x71\x62l\x6fd\x6c\x64g\x74"]})."<\x62\x72/\x3eWa\x6e\x74 t\x6f di\x73\x70la\x79\x20\x79ou\x72\x20v\x69d\x65\x6f h\x65\x72e\x3f Want \x69t\x20\x74\x6f c\x6f\x6ev\x65\x72t\x20w\x65\x6c\x6c? W\x61\x6et\x20t\x6f \x75se\x20th\x65\x20\x73\x61m\x65\x20\x73\x6f\x66t\x77\x61\x72\x65 we\x20u\x73e\x3f \x43h\x65ck\x20\x6f\x75\x74\x20\x3ca href\x3d\x22\x68t\x74\x70:\x2f/s\x70\x64om\x2ew\x65bact\x69x\x2ehop.\x63\x6ci\x63k\x62ank\x2e\x6e\x65t\"\x20t\x61\x72\x67e\x74\x3d\"_b\x6c\x61\x6e\x6b\"\x3e E\x61\x73\x79\x20\x56ideo\x20P\x6c\x61y\x65\x72\x20\x6e\x6f\x77\x21\x3c/a>";break;default:${${"G\x4c\x4f\x42\x41\x4cS"}["br\x74\x63s\x63c\x74\x61x\x68\x75"]}.="\x3c\x69npu\x74\x20\x63las\x73=\x22sdf\x64\x73 ".${${"\x47\x4cO\x42\x41\x4c\x53"}["\x6ejq\x62lodldgt"]}."\" type\x3d\x22".${${"\x47L\x4f\x42AL\x53"}["\x78lm\x75\x79\x6f\x65\x6fi\x64r"]}."\x22 na\x6d\x65\x3d\"\x70\x6f\x70\x75p\x5fdom\x69\x6e\x61\x74ion_f\x69\x65ld\x73\x5b".${${"\x47\x4c\x4fBA\x4cS"}["\x6c\x79\x67\x6f\x70\x68p\x6e"]}["fiel\x64_\x6fp\x74s"]["\x69\x64"]."]\" i\x64\x3d\x22".${${"\x47\x4c\x4f\x42\x41\x4cS"}["f\x74qk\x71n\x67\x72\x7a\x70"]}."\"\x20\x76a\x6c\x75e\x3d\x22".$this->input_val(${${"\x47LOB\x41\x4c\x53"}["\x6e\x6a\x71b\x6c\x6f\x64l\x64\x67\x74"]})."\"\x20/>".$this->maxlength_txt(${${"G\x4c\x4f\x42\x41\x4cS"}["\x6c\x79\x67\x6f\x70\x68\x70\x6e"]},${${"\x47L\x4f\x42\x41\x4c\x53"}["nj\x71\x62\x6c\x6fd\x6c\x64g\x74"]});break;}${${"\x47\x4cO\x42\x41\x4c\x53"}["brtc\x73\x63c\x74\x61xh\x75"]}.="\x3c/p>";}foreach(${${"GLO\x42\x41\x4c\x53"}["\x6c\x79\x67\x6f\x70\x68\x70\x6e"]}["\x66\x69\x65\x6cd_\x6f\x70\x74\x73"]as${${"\x47\x4cOB\x41L\x53"}["\x79\x6f\x62\x6a\x76f\x74\x63\x6fx\x71\x6f"]}=>${${"\x47LO\x42\x41\x4c\x53"}["\x79f\x70\x72\x6d\x70o\x64\x78\x69"]}){${"\x47\x4cO\x42\x41LS"}["\x6f\x65\x6d\x71\x68d\x75\x6d"]="\x61";$upmblmgrpk="\x74mp";$ieehfrely="\x61";if(${${"\x47\x4c\x4f\x42A\x4c\x53"}["o\x65\x6dqhd\x75\x6d"]}!="t\x79\x70\x65")${$upmblmgrpk}[]="\"".${$ieehfrely}."\x22\x3a\"".${${"\x47\x4cOB\x41\x4c\x53"}["\x79f\x70rm\x70\x6f\x64\x78i"]}."\x22";}${${"\x47\x4c\x4f\x42A\x4c\x53"}["en\x63\x6el\x6fck\x72\x76"]}="{".implode("\x2c",${${"G\x4c\x4f\x42\x41\x4c\x53"}["\x65\x6ecn\x6co\x63\x6br\x76"]})."\x7d";${${"\x47\x4c\x4fBAL\x53"}["z\x75\x64\x6fdd\x69\x6ddv\x69"]}.=((${${"\x47\x4c\x4fBA\x4cS"}["\x62\x78\x79\x6d\x78\x74i"]}>0)?",":"")."\x7b\x22na\x6d\x65\":\x22".$this->input_val(${$ssnjmasypiln}["na\x6d\x65"])."\"\x2c\"op\x74\x73\x22:".${${"\x47\x4cO\x42\x41L\x53"}["\x65\x6e\x63nl\x6f\x63\x6br\x76"]}."\x7d";${${"\x47\x4cO\x42\x41\x4cS"}["\x62x\x79\x6d\x78\x74\x69"]}++;}${${"GL\x4f\x42\x41\x4c\x53"}["\x6a\x77\x75\x79j\x77b"]}.="]\x2c";}if(isset(${${"\x47\x4cOB\x41LS"}["\x6dym\x6am\x61s\x72l\x72"]}["siz\x65"])&&count(${$pckhdwyrkc}["s\x69\x7ae"])==2){$wgurofl="j\x73";$afxvsggymw="\x74";${$wgurofl}.="\"p\x72e\x76\x69\x65w_\x73\x69\x7ae\":[\x22".${$afxvsggymw}["s\x69\x7ae"][0]."\x22\x2c\"".${${"\x47\x4cOB\x41\x4c\x53"}["\x61f\x62\x62\x70lo"]}["\x73iz\x65"][1]."\x22]\x2c";}${${"\x47\x4c\x4f\x42A\x4cS"}["\x67\x75a\x74\x76u\x75\x6c"]}=0;if(isset(${${"G\x4c\x4fB\x41\x4c\x53"}["\x61\x66\x62\x62\x70lo"]}["\x6cis\x74"])){${"\x47\x4cO\x42A\x4cS"}["\x72\x70\x77\x69\x63p\x77ux"]="\x74";${"\x47LO\x42AL\x53"}["\x77g\x79\x6dxis\x63\x69"]="\x6c\x63\x6f\x75\x6et";${${"\x47\x4c\x4f\x42\x41\x4cS"}["\x77\x67y\x6dxisc\x69"]}=${${"\x47\x4cOB\x41\x4c\x53"}["r\x70\x77\x69\x63p\x77u\x78"]}["l\x69\x73t"];}if(${${"\x47\x4cOBA\x4c\x53"}["\x78vflws\x72\x72"]}){$kqtyrwyfy="\x74";${"\x47\x4c\x4f\x42\x41L\x53"}["\x67\x6ec\x6b\x64\x67\x6f\x76\x6e\x74\x64"]="\x63\x75r_t\x68\x65\x6d\x65";${$kqtyrwyfy}["\x6ci\x73t\x5fcou\x6et"]=${${"\x47\x4cO\x42AL\x53"}["\x67u\x61\x74\x76\x75\x75\x6c"]};$iociflyb="\x74";${${"G\x4cO\x42A\x4c\x53"}["\x67\x6ec\x6b\x64g\x6f\x76\x6e\x74\x64"]}=${$iociflyb};}${$aqkvybip}.="\"li\x73t\x5fcount\":\"".$this->input_val(${${"G\x4c\x4fBALS"}["\x67\x75\x61\x74\x76\x75\x75\x6c"]})."\"\x2c";${${"\x47L\x4f\x42\x41\x4c\x53"}["\x6b\x66\x70\x78g\x6ck"]}++;if(isset(${${"\x47\x4c\x4fB\x41\x4c\x53"}["\x61fb\x62pl\x6f"]}["numfield\x73"])){$this->custominputs=${${"\x47\x4c\x4f\x42\x41\x4cS"}["\x61f\x62\x62\x70lo"]}["\x6eumf\x69\x65\x6c\x64\x73"];}else{$this->custominputs=0;}${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x65\x71\x68\x75\x73h\x72o\x74"]}.="\"\x6eu\x6d\x66ield\x73\x22:\" ".$this->custominputs."\x22}";}${${"G\x4c\x4f\x42AL\x53"}["z\x75\x64\x6f\x64d\x69\x6dd\x76i"]}.="}";${${"G\x4cO\x42A\x4c\x53"}["u\x78\x66\x67g\x75l\x63"]}=$this->show_var(true);$jrzeagj="\x73\x68\x6f\x77j\x73";${${"\x47\x4c\x4f\x42\x41L\x53"}["\x7audodd\x69md\x76\x69"]}.=",\x20p\x6f\x70u\x70_d\x6fm\x69na\x74ion_\x73\x68\x6fw_\x62\x61c\x6bu\x70 \x3d \x7b\"o\x70\x74\x73\"\x3a\x5b";$hnndmpvbske="l\x69\x73t\x69\x74\x65\x6d\x73";${"\x47\x4cOB\x41LS"}["d\x63\x68\x71r\x76\x6flq"]="\x6f";$pfdsjqxxony="\x6c";${$xvjsumfzsdhj}=0;if(isset(${${"\x47L\x4f\x42\x41\x4cS"}["u\x78\x66g\x67\x75l\x63"]}["e\x76er\x79w\x68\x65r\x65"])&&${${"\x47LO\x42\x41\x4c\x53"}["ux\x66\x67\x67ul\x63"]}["\x65v\x65\x72\x79\x77h\x65r\x65"]=="\x59"){$xorhunjnc="\x63o\x75n\x74";${${"\x47\x4c\x4fBALS"}["z\x75\x64\x6f\x64\x64imd\x76\x69"]}.="\x27\x65verywhere'";${$xorhunjnc}++;}${"G\x4c\x4fB\x41LS"}["cm\x6d\x78\x62\x68\x64\x76\x6b"]="\x66";$uxlwlqk="f\x69\x65\x6c\x64\x73";if(isset(${${"GL\x4f\x42\x41LS"}["\x75\x78\x66\x67\x67\x75\x6c\x63"]}["fr\x6f\x6e\x74"])&&${${"\x47\x4cO\x42\x41L\x53"}["\x75\x6cqh\x62\x6b\x74\x65ug\x64"]}["\x66\x72ont"]=="Y"){$rhpjhtxpqmb="\x63\x6f\x75\x6e\x74";${${"GLO\x42\x41\x4cS"}["z\x75\x64o\x64\x64\x69\x6dd\x76\x69"]}.=((${${"\x47\x4c\x4f\x42A\x4c\x53"}["\x62x\x79\x6dx\x74\x69"]}>0)?"\x2c":"")."'f\x72\x6fn\x74\x27";${$rhpjhtxpqmb}++;}${${"G\x4cO\x42\x41\x4c\x53"}["\x7au\x64odd\x69\x6d\x64\x76i"]}.="],\"c\x61tid\x73\":[".((isset(${${"\x47L\x4f\x42\x41\x4c\x53"}["y\x72\x68dl\x71j\x66\x6ca\x67"]}["c\x61\x74i\x64"]))?implode(",",${${"G\x4cO\x42A\x4c\x53"}["\x75\x78\x66\x67g\x75\x6c\x63"]}["c\x61t\x69\x64"]):"")."]\x2c";${${"\x47\x4cOBA\x4c\x53"}["z\x75d\x6f\x64d\x69\x6d\x64\x76i"]}.="\"p\x61gei\x64\x73\":[".((isset(${${"GL\x4fB\x41\x4c\x53"}["\x75\x78f\x67\x67u\x6c\x63"]}["p\x61\x67e\x69d"]))?implode("\x2c",${$jrzeagj}["\x70ag\x65\x69d"]):"")."\x5d\x2c";${${"G\x4cOBA\x4c\x53"}["\x7a\x75\x64\x6f\x64\x64\x69\x6ddv\x69"]}.="\"\x63at\x6f\x6e\x22:\x27".((isset(${${"\x47L\x4f\x42\x41\x4c\x53"}["\x75x\x66g\x67\x75l\x63"]}["ca\x74on"]))?${${"G\x4c\x4f\x42\x41L\x53"}["\x76\x6aj\x6b\x61m\x69z"]}["\x63\x61\x74on"]:"")."'}";${${"\x47\x4cOBA\x4cS"}["\x65\x74\x71\x74t\x6d\x70"]}=$this->input_val($this->option("\x66or\x6d\x68t\x6d\x6c",false));${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["pd\x78bn\x67r\x77\x6c\x66"]}=array("n\x61\x6d\x65_b\x6f\x78","\x65m\x61i\x6c\x5f\x62ox");for(${${"\x47\x4c\x4f\x42A\x4cS"}["j\x66gd\x6ai\x6dv\x7a\x78\x68\x67"]}=1;${${"\x47L\x4f\x42\x41LS"}["jfg\x64\x6a\x69m\x76z\x78\x68\x67"]}<=$this->custominputs;${${"\x47\x4cOB\x41\x4c\x53"}["\x6a\x66\x67d\x6a\x69\x6d\x76\x7a\x78h\x67"]}++){${${"\x47LO\x42\x41\x4c\x53"}["dzb\x6a\x76\x6a\x77es"]}[]="custom".${${"\x47\x4c\x4f\x42\x41\x4cS"}["\x6a\x66\x67djim\x76\x7a\x78\x68\x67"]}."_\x62ox";}foreach(${${"\x47\x4c\x4f\x42\x41LS"}["\x64\x7ab\x6a\x76\x6aw\x65s"]} as${${"\x47\x4c\x4f\x42\x41LS"}["\x64\x63\x68qr\x76\x6f\x6c\x71"]})$${$mgjzqdyl}=$this->input_val($this->option(${$sbcrrxncg}));${$uxlwlqk}="";if(${${"\x47\x4c\x4fB\x41\x4cS"}["\x63m\x6d\x78\x62\x68\x64\x76\x6b"]}=$this->option("\x66iel\x64\x73",false)){${"\x47\x4c\x4fB\x41\x4cS"}["\x6fl\x6f\x68\x6f\x73h\x6c\x63"]="\x66";if(!empty(${${"\x47\x4c\x4fB\x41\x4cS"}["\x6f\x6co\x68\x6f\x73\x68\x6c\x63"]})){${"\x47LOB\x41L\x53"}["\x7a\x63\x6bz\x78\x73\x73"]="\x66\x69\x65\x6cd\x73a\x72\x72";${"\x47L\x4fB\x41\x4c\x53"}["\x63\x6a\x6e\x75a\x68\x69\x76\x7a\x74\x63e"]="\x66\x69\x65\x6cd\x73ar\x72";$rgurwx="\x66\x69\x65\x6c\x64\x73";${"G\x4c\x4f\x42\x41L\x53"}["g\x61m\x75\x77e\x6bi\x66d"]="b";${"\x47L\x4fB\x41\x4c\x53"}["\x6but\x6b\x6e\x79\x6f\x6ab"]="\x66";${"\x47\x4c\x4f\x42\x41\x4cS"}["\x7acb\x75\x78\x61l\x62"]="f";$qxyqlcz="a";${"\x47\x4cOB\x41L\x53"}["ca\x61\x77\x73\x71\x6f\x77"]="\x61";if(is_array(${${"\x47L\x4f\x42\x41L\x53"}["\x6c\x79g\x6fp\x68p\x6e"]}))${${"\x47L\x4fB\x41\x4c\x53"}["\x7a\x63\x6b\x7a\x78\x73\x73"]}=${${"\x47L\x4f\x42\x41\x4c\x53"}["ku\x74\x6b\x6e\x79\x6f\x6a\x62"]};else${${"GL\x4f\x42AL\x53"}["\x63\x6a\x6eu\x61\x68\x69\x76\x7at\x63\x65"]}=unserialize(${${"\x47LO\x42A\x4c\x53"}["\x7a\x63\x62\x75\x78a\x6c\x62"]});foreach(${${"\x47\x4c\x4f\x42ALS"}["\x75u\x6d\x6a\x68\x65\x6cr\x6cv\x6d"]} as${$qxyqlcz}=>${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x79\x66p\x72m\x70o\x64\x78\x69"]})${$rgurwx}.="\x3ci\x6e\x70\x75t\x20\x74y\x70e\x3d\x22hi\x64\x64e\x6e\" name\x3d\"f\x69e\x6cd\x5f\x6e\x61me\x5b]\" v\x61\x6cue\x3d\"".$this->input_val(${${"\x47\x4cO\x42ALS"}["\x63a\x61\x77\x73\x71o\x77"]})."\x22\x20/><in\x70\x75t\x20t\x79\x70\x65=\"hi\x64\x64\x65n\x22\x20n\x61\x6de=\x22\x66i\x65\x6c\x64_\x76\x61\x6c\x73\x5b]\"\x20v\x61\x6cu\x65=\"".$this->input_val(${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x67\x61\x6d\x75\x77\x65\x6b\x69\x66d"]})."\x22\x20\x2f\x3e";}}if(${$elsbikqor}=$this->option("\x69\x6d\x61\x67\x65\x73",false)){if(!empty(${${"G\x4c\x4f\x42A\x4c\x53"}["\x6c\x79\x67op\x68\x70\x6e"]})){$wmozhuhwi="\x66\x69\x65l\x64s\x61rr";${"\x47LO\x42A\x4c\x53"}["\x65u\x73\x64\x73\x68\x76"]="\x62";if(is_array(${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["l\x79\x67\x6f\x70hp\x6e"]}))${$wmozhuhwi}=${${"\x47\x4c\x4fB\x41\x4c\x53"}["\x6c\x79g\x6f\x70\x68\x70\x6e"]};else${${"\x47LO\x42ALS"}["u\x75\x6d\x6ah\x65\x6cr\x6c\x76\x6d"]}=unserialize(${${"\x47\x4c\x4f\x42A\x4cS"}["l\x79g\x6fp\x68\x70n"]});foreach(${${"GL\x4f\x42A\x4c\x53"}["\x75um\x6a\x68\x65l\x72\x6c\x76m"]} as${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["\x79\x66p\x72\x6dpo\x64\x78i"]})${${"GLO\x42\x41L\x53"}["\x6e\x6c\x67vn\x64w\x6a\x6c"]}.="\x3ci\x6e\x70u\x74\x20type\x3d\x22hi\x64\x64\x65\x6e\" \x6ea\x6d\x65=\"fi\x65\x6cd\x5f\x69m\x67[\x5d\x22 va\x6cue\x3d\x22".$this->input_val(${${"G\x4cO\x42\x41\x4c\x53"}["\x65\x75s\x64\x73h\x76"]})."\" \x2f>";}}${$hnndmpvbske}="";if(${$pfdsjqxxony}=$this->option("\x6c\x69\x73\x74i\x74em\x73",false)){if(!empty(${${"\x47\x4cO\x42A\x4cS"}["\x70\x73hk\x64u\x62ht\x77\x78o"]})){${"G\x4cOBA\x4c\x53"}["o\x79\x73\x6dp\x66\x73\x61jw\x62"]="\x6c";$ywyjqucegkle="l";$jndyqqzuwi="\x63\x6f\x75\x6e\x74";if(is_array(${${"G\x4cO\x42ALS"}["p\x73h\x6b\x64\x75\x62h\x74\x77x\x6f"]}))${${"\x47LO\x42AL\x53"}["k\x73b\x65\x79\x6cq\x72eje"]}=${$ywyjqucegkle};else${${"\x47LOB\x41L\x53"}["\x6b\x73\x62\x65y\x6cq\x72eje"]}=unserialize(${${"\x47\x4cO\x42A\x4cS"}["\x6fy\x73m\x70f\x73\x61\x6aw\x62"]});${$jndyqqzuwi}=1;foreach(${${"\x47\x4cO\x42\x41L\x53"}["\x6b\x73\x62\x65y\x6c\x71\x72\x65\x6a\x65"]} as${${"\x47\x4c\x4fBA\x4cS"}["\x61\x79e\x76\x67\x68r"]}){${"\x47LO\x42ALS"}["c\x68d\x71\x65\x73o"]="\x63\x6c\x61\x73\x73";$pwuxnja="c\x75\x72\x5fthe\x6de";$vwyqfwut="\x63\x6ca\x73\x73";$dywvwf="li\x73\x74\x69\x74\x65m\x73";${$vwyqfwut}="";${"\x47L\x4fBA\x4cS"}["\x6b\x72\x6a\x7a\x65vd"]="\x61";${"\x47\x4cO\x42A\x4c\x53"}["\x6a\x62\x75wu\x74\x72\x7a"]="\x63ou\x6e\x74";if(isset(${${"\x47\x4c\x4fBA\x4cS"}["\x75l\x6c\x76\x6e\x69\x68\x70\x77"]}["l\x69st_c\x6f\x75nt"])&&${${"\x47\x4cO\x42\x41\x4cS"}["\x62\x78\x79\x6d\x78t\x69"]}>${$pwuxnja}["l\x69s\x74_c\x6fu\x6e\x74"])${${"\x47L\x4fB\x41L\x53"}["\x62\x78\x70rd\x76\x67\x63\x69"]}="o\x76\x65\x72";${$dywvwf}.="\n\t\t\t\t\t\t\t\t<li".((${${"G\x4c\x4f\x42\x41LS"}["chd\x71\x65s\x6f"]}=="")?"":" \x63l\x61s\x73=\"".${${"\x47\x4c\x4f\x42\x41\x4c\x53"}["bx\x70\x72\x64v\x67c\x69"]}."\"")."\x3e<\x69np\x75\x74\x20\x74yp\x65\x3d\"\x74ext\x22 na\x6de=\x22lis\x74\x5fi\x74\x65m[\x5d\"\x20val\x75\x65\x3d\x22".$this->input_val($this->encode(${${"G\x4cO\x42\x41\x4cS"}["\x6b\x72\x6a\x7a\x65v\x64"]}))."\x22 /> <a\x20\x68\x72e\x66\x3d\x22#de\x6c\x65\x74e\x22\x20c\x6c\x61\x73s\x3d\x22\x62ut\x74o\x6e \x72\x65m\x6fve_\x6ci\x73\x74\x5f\x69t\x65\x6d\x22>\x44e\x6ce\x74e<\x2fa>\x3c\x2f\x6ci\x3e";${${"\x47LO\x42\x41\x4cS"}["\x6a\x62u\x77u\x74\x72z"]}++;}}}${${"\x47LO\x42\x41\x4c\x53"}["\x72\x75c\x79\x78qb\x6f\x70"]}=$this->option("s\x68\x6fw_opt");include$this->plugin_path."\x74\x70l/\x61d\x6di\x6e\x5f\x70\x61\x6e\x65\x6c.p\x68p";echo"\x3c\x2fd\x69\x76>";}
	}
	
	function save_theme_file(){
		if(isset($_POST['theme']) && ($t = $this->get_theme_info($_POST['theme']))){
			if(isset($_POST['file']) && file_exists($this->theme_path.$t['theme'].'/'.$_POST['file']) && $this->check_file_type($_POST['file'],$this->atypes,$this->natypes)){
				$f = explode('.',$_POST['file']);
				$orig = $this->theme_path.$t['theme'].'/'.$f[0].'.original.'.$f[1];
				$filename = $this->theme_path.$t['theme'].'/'.$f[0].'.'.$f[1];
				if(!file_exists($orig)){
					if($fopen = fopen($orig,'w')){
						fwrite($fopen,file_get_contents($filename));
						fclose($fopen);
					}
				}
				if($fopen = fopen($filename,'w')){
					fwrite($fopen,$this->encode(stripslashes($_POST['newcontent']),false));
					fclose($fopen);
				}
			}
		}		
	}
	
	function get_theme_editor(){
		$editable = true;
		if(isset($_REQUEST['theme']) && ($t = $this->get_theme_info($_REQUEST['theme']))){
			$cur_theme = $_REQUEST['theme'];
		} elseif($t = $this->option('template')){
			if($t = $this->get_theme_info($t)){
				$cur_theme = $t['theme'];
			}
		}
		$file_content = $codepress_lang = '';
		$file = '&nbsp;';
		if(isset($cur_theme) && isset($_REQUEST['file']) && $this->check_file_type($_REQUEST['file'],$this->atypes,$this->natypes)){
			$file = basename($_REQUEST['file']);
			$realfile = $this->theme_path.$cur_theme.'/'.$file;
			if(file_exists($realfile)){
				if($_REQUEST['action'] == 'restore' && ($f = $this->get_original_file($cur_theme,$file))){
					if($fopen = fopen($realfile,'w')){
						fwrite($fopen,file_get_contents($f));
						fclose($fopen);
						unlink($f);
					}
				}
				$file_content = file_get_contents($realfile);
			}			
		}
		$themes = $this->get_themes();
		$themestr = '';
		if(count($themes) > 0){
			foreach($themes as $t){
				$themestr .= '<option value="'.$t['theme'].'"'.(($cur_theme==$t['theme'])?' selected="selected"':'').'>'.$t['name'].'</option>';
			}
		}
		include $this->plugin_path.'tpl/editor.php';
	}
	
	function check_updates(){
		include $this->plugin_path.'tpl/updates.php';
	}
	
	function get_original_file($t,$file){
		$path = $this->theme_path.$t.'/';
		$f = explode('.',$file);
		if(count($f) > 1){
			$ext = array_pop($f);
			$f = implode('.',$f).'.original.'.$ext;
			if(file_exists($path.$f) && is_file($path.$f))
				return $path.$f;
		}
		return false;
	}
	
	function is_mobile(){
		static $browser;
		if(!isset($browser)){
			$mobile = array('2.0 MMP','240x320','400X240','Android','AvantGo','BlackBerry','BlackBerry9530','Blazer','Cellphone','Danger','DoCoMo',
							'Elaine/3.0','EudoraWeb','Googlebot-Mobile','hiptop','IEMobile','iPhone','iPod','KYOCERA/WX310K','LGE VX','LG/U990',
							'LG-TU915 Obigo','MIDP-2.','MMEF20','MOT-V','NetFront','Newt','Nintendo Wii','Nitro','Nokia','Nokia5800','Opera Mini',
							'Palm','PlayStation Portable','portalmmm','Proxinet','ProxiNet','SHARP-TQ-GX10','SHG-i900','Small','SonyEricsson',
							'Symbian OS','SymbianOS','TS21i-10','UP.Browser','UP.Link','webOS','Windows CE','WinWAP','YahooSeeker/M1A1-R2D2');
			$browser = '';
			if(isset($_SERVER['HTTP_USER_AGENT'])){
				foreach($mobile as $m){
					if(!empty($m) && strpos($_SERVER['HTTP_USER_AGENT'], trim($m)) !== false){
						$browser = $m;
						break;
					}
				}
			}
		}
		return $browser == '' ? false : true;
	}
	
	function input_val($str){
		$str = htmlspecialchars($str);
		$str = str_replace(array("'",'"'),array('&#39;','&quot;'),$str);
		return $str;
	}
	
	function get_cur_url(){
		return 'http'.(($_SERVER['HTTPS']=='on')?'s':'').'://'.$_SERVER['SERVER_NAME'].(($_SERVER['SERVER_PORT'] != '80')?':'.$_SERVER['SERVER_PORT']:'').$_SERVER['REQUEST_URI'];
	}
}
if(!function_exists('_cleanup_header_comment')){
	function _cleanup_header_comment($str){
		return trim(preg_replace("/\s*(?:\*\/|\?>).*/", '', $str));
	}
}
$popup_domination = new PopUp_Domination();
?>